package org.objectweb.petals.component.common;

import java.net.URI;
import java.net.URISyntaxException;

public class MEPConstants {
    public static URI IN_ONLY_PATTERN;

    public static URI IN_OPTIONAL_OUT_PATTERN;

    public static URI IN_OUT_PATTERN;

    public static URI ROBUST_IN_ONLY_PATTERN;

    static {
        try {
            IN_ONLY_PATTERN = new URI("http://www.w3.org/2004/08/wsdl/in-only");

            IN_OPTIONAL_OUT_PATTERN = new URI(
                    "http://www.w3.org/2004/08/wsdl/in-opt-out");

            IN_OUT_PATTERN = new URI("http://www.w3.org/2004/08/wsdl/in-out");

            ROBUST_IN_ONLY_PATTERN = new URI(
                    "http://www.w3.org/2004/08/wsdl/robust-in-only");
        } catch (URISyntaxException e) {
            // Should never be thrown
            System.err.println("unexpected Exception in URI creation");
            e.printStackTrace(System.err);
        }
    }
}
