/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SOAPHelper.java 154 25 sept. 06 wjoseph $
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.binding.axis2;

import javax.xml.namespace.QName;

import org.apache.axis2.description.AxisService;

public class SOAPHelper {

    private SOAPHelper() {
    }

    /**
     * Transform an axis service name into a qname.
     * (check if the targetnamespace is part of the name
     * of the service or as a real targetnamespace 
     * @param service can be null
     * @return
     */
    public static QName getServiceName(AxisService service) {

        QName name = null;

        if (service != null) {

            if (service.getName().startsWith("{")) {

                name = new QName(service.getName());

            } else {

                name = new QName(service.getTargetNamespace(), service
                    .getName());
            }
        }
        return name;
    }
}
