package org.objectweb.petals.binding.axis2.client;

import java.io.StringWriter;
import java.util.Set;

import javax.activation.DataHandler;
import javax.xml.namespace.QName;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.dom.DOMSource;
import javax.xml.transform.stream.StreamResult;

import org.apache.axiom.soap.SOAPEnvelope;
import org.objectweb.petals.component.common.util.WSDLHelper;
import org.w3c.dom.Document;

public final class SOAPClient {

    private SOAPClient() {
    }

    /**
     * Calls a Request-response web service
     * @param callEnv The call envelop
     * @param qnameService Name of the service to be called
     * @param opName Name of the operation to be called
     * @param serviceDef Service description, the WSDL file as a dom document
     * @param portName Name of the port to be called
     * @return A soap envelop containing response from remote web service
     * @throws Exception
     */
    public static SOAPEnvelope callInOutWS(SOAPEnvelope callEnv,
            QName serviceName, String opName, Document serviceDesc,
            String portName, Set<DataHandler> attachments) throws Exception {
        DOMSource domSource = new DOMSource(serviceDesc);
        StringWriter writer = new StringWriter();
        StreamResult result = new StreamResult(writer);
        TransformerFactory tf = TransformerFactory.newInstance();
        Transformer transformer = tf.newTransformer();
        transformer.transform(domSource, result);
//      FIXME 
        //String stringResult = writer.toString();
        //ByteArrayInputStream inputStream = new ByteArrayInputStream(stringResult.getBytes());
        //String targetNS = getTargetNamespace(serviceDesc);
        //org.apache.axis.client.Service service = new org.apache.axis.client.Service(inputStream, serviceName);
        //org.apache.axis.client.Call call = new org.apache.axis.client.Call(service);
        //call.setOperation(new QName(targetNS, portName), opName);
        
        // attachments
        // for (DataHandler dh : attachments){
        //    call.addAttachmentPart(dh);
        //}
        //  SOAPEnvelope outEnv = null;
        SOAPEnvelope outEnv = null;//FIXME call.invoke(callEnv);

        /*
         String response = null;
         Call foo = new Call();
         foo.setMethodName(opName);
         foo.setTargetObjectURI(WSDLHelper.getServiceAddressFromWSDLDocument(serviceDesc, serviceName));
         foo.setEncodingStyleURI(Constants.NS_URI_SOAP_ENC);
         for (DataHandler dh : attachments){
         MimeBodyPart mimePart = new MimeBodyPart();
         mimePart.setDataHandler(dh);
         mimePart.setHeader(org.apache.soap.Constants.HEADER_CONTENT_LOCATION, "Attachment-1");
         foo.addBodyPart(mimePart);
         }
         Response res = foo.invoke(new URL(foo.getTargetObjectURI()), "");
         if (!res.generatedFault()) {
         response = (String) res.getReturnValue().getValue();
         } else {
         response = res.getFault().getFaultString();
         }
         */
        return outEnv;
    }

    protected static String getTargetNamespace(Document serviceDesc)
        throws Exception {
        return WSDLHelper.getTargetNSFromWSDLDocument(serviceDesc);
    }
}
