/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.axis2.listener.soap;

import javax.servlet.ServletConfig;
import javax.servlet.ServletException;

import org.apache.axis2.Constants;
import org.apache.axis2.context.ConfigurationContext;
import org.apache.axis2.transport.http.AxisServlet;

/**
 * Special servlet for Jetty server. This servlet extends AxisServlet to
 * override the initConfigContext method that load a configuration context from
 * a War file. In the Axis2BC, the configuration context is loaded at component
 * startup and is passed by Jetty server and this servlet.
 * 
 * @author Christophe Hamerling - EBM WebSourcing
 * 
 */
public class AxisJettyServlet extends AxisServlet {

    /**
     * 
     */
    private static final long serialVersionUID = -8035921158344750120L;

    /**
     * Creates a new instance of AxisJettyServlet
     * 
     * @param configContext
     */
    public AxisJettyServlet(ConfigurationContext configContext) {
        this.configContext = configContext;
    }

    /*
     * (non-Javadoc)
     * 
     * @see org.apache.axis2.transport.http.AxisServlet#initConfigContext(javax.servlet.ServletConfig)
     */
    protected ConfigurationContext initConfigContext(ServletConfig config)
        throws ServletException {
        // nothign to do, just return the configuration context. Avoid loading
        // the configuration from default location (WAR)
        this.configContext.setProperty(Constants.CONTAINER_MANAGED, Constants.VALUE_TRUE);
        return this.configContext;
    }

}
