/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.engine.clock.sdk;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.logging.Level;
import java.util.logging.Logger;

public class ClockImpl implements Clock {

	private Logger logger;

	public String time() {
		logger.log(Level.INFO,
				"The ClockImpl service is called to return current time");

		DateFormat formatter = new SimpleDateFormat("MM/dd/yyyy HH:mm:ss");
		String en = "<timeResponse xmlns:xsd=\"http://www.w3.org/2001/XMLSchema\" "
				+ "xmlns:xsi=\"http://www.w3.org/2001/XMLSchema-instance\"><timeReturn xsi:type=\"xsd:string\">";
		en += formatter.format(new Date(System.currentTimeMillis()));
		en += "</timeReturn></timeResponse>";

		logger.log(Level.INFO, "The ClockImpl answer : " + en);

		return en;
	}

	public ClockImpl(Logger logger) {
		super();
		this.logger = logger;
	}

}
