/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SessionDescriptor.java 154 28 sept. 06 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.mail.listeners;

/**
 * This descriptor handles information used to connect to a mail server to read
 * or send mail.
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class SessionDescriptor {

    /**
     * Used for both imap and pop3 scheme
     */
    private String folder;

    /**
     * Used only for smtp scheme
     */
    private String fromAddress;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String hostname;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String password;

    /**
     * Used for both imap and pop3 scheme
     */
    private String period;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String port;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String scheme;

    /**
     * Used only for smtp scheme
     */
    private String toAddress;

    /**
     * Used for both smtp, imap and pop3 scheme
     */
    private String username;

    public String getFolder() {
        return folder;
    }

    public String getFromAddress() {
        return fromAddress;
    }

    public String getHostname() {
        return hostname;
    }

    public String getPassword() {
        return password;
    }

    public String getPeriod() {
        return period;
    }

    public String getPort() {
        return port;
    }

    public String getScheme() {
        return scheme;
    }

    public String getToAddress() {
        return toAddress;
    }

    public String getUsername() {
        return username;
    }

    public void setFolder(String folder) {
        this.folder = folder;
    }

    public void setFromAddress(String fromAddress) {
        this.fromAddress = fromAddress;
    }

    public void setHostname(String hostname) {
        this.hostname = hostname;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public void setPeriod(String period) {
        this.period = period;
    }

    public void setPort(String port) {
        this.port = port;
    }

    public void setScheme(String scheme) {
        this.scheme = scheme;
    }

    public void setToAddress(String toAddress) {
        this.toAddress = toAddress;
    }

    public void setUsername(String username) {
        this.username = username;
    }

}
