/**
 * PETALS - PETALS Services Platform.
 * 
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: XlinkerBCBootstrap.java 154 19 avr. 2006 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker;

import java.io.File;

import javax.jbi.JBIException;
import javax.jbi.component.Bootstrap;
import javax.jbi.component.InstallationContext;
import javax.management.ObjectName;

/**
 * Dispatcher for JBI container
 * 
 * @version $Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since Petals 1.0
 * @author wjoseph - EBM Websourcing
 * 
 */
public class XlinkerBCBootstrap implements Bootstrap {

    InstallationContext context;

    /* (non-Javadoc)
     * @see javax.jbi.component.Bootstrap#cleanUp()
     */
    public void cleanUp() throws JBIException {
    }

    /* (non-Javadoc)
     * @see javax.jbi.component.Bootstrap#getExtensionMBeanName()
     */
    public ObjectName getExtensionMBeanName() {
        return null;
    }

    /* (non-Javadoc)
     * @see javax.jbi.component.Bootstrap#init(javax.jbi.component.InstallationContext)
     */
    public void init(InstallationContext installContext) throws JBIException {
        context = installContext;
    }

    /**
     * Create a "deploy" and a "working" directories for Xlinker to work
     *  
     *  (non-Javadoc)
     * @see javax.jbi.component.Bootstrap#onInstall()
     */
    public void onInstall() throws JBIException {

        /*
         * Xlinker needs directory deploy for autodeploying modules and working
         * for working stuff
         */

        File installPath = new File(context.getInstallRoot());

        File deploy = new File(installPath, "deploy");
        File working = new File(installPath, "working");

        deploy.mkdirs();
        working.mkdirs();
    }

    /**
     * Delete "deploy" and "working" directories created during install
     *  
     *  (non-Javadoc)
     * @see javax.jbi.component.Bootstrap#onUninstall()
     */
    public void onUninstall() throws JBIException {
        File installPath = new File(context.getInstallRoot());
        File deploy = new File(installPath, "deploy");
        File working = new File(installPath, "working");
        File[] listFiles = working.listFiles();
        for (File file : listFiles) {
            file.delete();
        }
        listFiles = deploy.listFiles();
        for (File file : listFiles) {
            file.delete();
        }
        deploy.delete();
        working.delete();
    }

}
