/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: XLinkerServiceUnitManager.java 154 19 avr. 2006 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.servicemanager;

import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;
import javax.jbi.management.DeploymentException;

import org.objectweb.petals.binding.xlinker.XlinkerBC;
import org.objectweb.petals.component.common.serviceunitmanager.manager.PetalsServiceUnitManager;

/**
 * @version $Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since Petals 1.0
 * @author wjoseph - EBM Webousourcing
 * 
 */
public class XlinkerServiceUnitManager extends PetalsServiceUnitManager {

    protected XlinkerBC xlinkerBC;

    /**
     * Constructor
     * @param context current component context
     * @param logger logger the service unit manager will use
     * @throws DeploymentException if an error occur during initializattion
     */
    public XlinkerServiceUnitManager(ComponentContext context, Logger logger)
        throws DeploymentException {
        super(context, logger);
    }

    /**
     * Constructor
     * @param context current component context
     * @param logger logger the service unit manager will use
     * @param reference to the running XlinkerBC class
     * @throws DeploymentException if an error occur during initializattion
     */
    public XlinkerServiceUnitManager(ComponentContext context, Logger logger,
            XlinkerBC xlink) throws DeploymentException {
        super(context, logger);
        this.xlinkerBC = xlink;
    }

    /**
     * Return the running XlinkerBC
     * @return the running XlinkerBC
     */
    public XlinkerBC getXlinkerBC() {
        return xlinkerBC;
    }
}
