/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockInOut.java 3:51:47 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.mock;

import java.net.URI;
import java.util.HashMap;
import java.util.Map;
import java.util.Set;

import javax.jbi.messaging.ExchangeStatus;
import javax.jbi.messaging.Fault;
import javax.jbi.messaging.InOut;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

/**
 * Mock object of the InOut
 * 
 * @author ddesjardins - eBMWebsourcing
 * @author wjoseph - eBMWebsourcing
 */
public class MockInOut extends MockMessageDecorator implements InOut {

    
    private NormalizedMessage out;
    
    private Map<String,Object> properties = new HashMap<String,Object>();

    public Fault createFault() throws MessagingException {
        return null;
    }

    public NormalizedMessage createMessage() throws MessagingException {
        return new MockNormalizedMessage();
    }

    public ServiceEndpoint getEndpoint() {
        return null;
    }

    public Exception getError() {
        return null;
    }

    public String getExchangeId() {
        return null;
    }

    public Fault getFault() {
        return null;
    }

    public QName getInterfaceName() {
        return null;
    }

    public NormalizedMessage getMessage(String name) {
        if ("OUT".equals(name)){
            return out;
        }
        return null;
    }

    public NormalizedMessage getOutMessage() {
        return out;
    }

    public URI getPattern() {
        return null;
    }

    public Object getProperty(String name) {
        return properties.get(name);
    }

    public Set getPropertyNames() {
        return null;
    }

    public Role getRole() {
        return null;
    }

    public ExchangeStatus getStatus() {
        return ExchangeStatus.DONE;
    }

    public boolean isTransacted() {
        return false;
    }

    public void setEndpoint(ServiceEndpoint endpoint) {
    }

    public void setError(Exception error) {
        setSetError(true);
    }

    public void setFault(Fault fault) throws MessagingException {
        setSetFault(true);
    }

    public void setInterfaceName(QName interfaceName) {
    }

    public void setMessage(NormalizedMessage msg, String name)
        throws MessagingException {
        setSetMessage(true);
    }

    public void setOutMessage(NormalizedMessage msg) throws MessagingException {
        out = msg;
    }

    public void setProperty(String name, Object obj) {
        properties.put(name,obj);
    }

    public void setStatus(ExchangeStatus status) throws MessagingException {
        setSetStatus(true);
    }


}
