/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: NormalizedMessageMock.java 3:39:00 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.mock;

import java.util.HashSet;
import java.util.Set;

import javax.activation.DataHandler;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;
import javax.security.auth.Subject;
import javax.xml.transform.Source;

/**
 * Mock object of the NormalizedMessage
 * @author ddesjardins - eBMWebsourcing
 * @author wjoseph - eBMWebsourcing
 */
public class MockNormalizedMessage implements NormalizedMessage{

    public void addAttachment(String id, DataHandler content) throws MessagingException {
    }

    public DataHandler getAttachment(String id) {
        return null;
    }

    public Set getAttachmentNames() {
        return new HashSet<String>();
    }
    
    private Source content;

    public Source getContent() {
        return content;
    }

    public Object getProperty(String name) {
        return null;
    }

    public Set getPropertyNames() {
        return null;
    }

    public Subject getSecuritySubject() {
        return null;
    }

    public void removeAttachment(String id) throws MessagingException {
    }

    public void setContent(Source content) throws MessagingException {
        this.content = content;
    }

    public void setProperty(String name, Object value) {
    }

    public void setSecuritySubject(Subject subject) {
    }

}
