package org.objectweb.petals.binding.xlinker.mock;

import javax.jbi.messaging.NormalizedMessage;
import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPEnvelope;
import javax.xml.soap.SOAPMessage;

import org.act.soap.server.MessageContext;
import org.act.soap.server.provider.ProviderException;
import org.act.soap.server.provider.ServiceImplementationException;
import org.objectweb.petals.binding.xlinker.provider.PetalsProvider;

public class MockPetalsProvider extends PetalsProvider {

    private boolean doDocumentProcess = false;
    
    private boolean putContentInSOAPEnvelope = false;
    
    private boolean createResponseFromNormalizedMessage = false;
    
    private boolean putJBIAttachmentsInSOAPMessage = false;
    
    public MockPetalsProvider() {
        super();
    }

    public boolean isDoDocumentProcess() {
        return doDocumentProcess;
    }

    public void setDoDocumentProcess(boolean doDocumentProcess) {
        this.doDocumentProcess = doDocumentProcess;
    }

    @Override
    public void doDocumentProcess(MessageContext msgContext) throws ProviderException, ServiceImplementationException {
        setDoDocumentProcess(true);
    }
    
    public void doDocumentProcessSuper(MessageContext msgContext) throws ProviderException, ServiceImplementationException {
        super.doDocumentProcess(msgContext);
    }

    @Override
    protected void putContentInSOAPEnvelope(SOAPEnvelope responseEnv, String response) throws Exception {
        setPutContentInSOAPEnvelope(true);
        if(response.equals("exception")) {
            throw new Exception("Testing exception");
        }
    }

    public boolean isPutContentInSOAPEnvelope() {
        return putContentInSOAPEnvelope;
    }

    public void setPutContentInSOAPEnvelope(boolean putContentInSOAPEnvelope) {
        this.putContentInSOAPEnvelope = putContentInSOAPEnvelope;
    }

    @Override
    protected SOAPEnvelope createResponseFromNormalizedMessage(SOAPEnvelope responseEnv, NormalizedMessage nm2) throws ProviderException {
        setCreateResponseFromNormalizedMessage(true);
        return null;
    }
    
    public SOAPEnvelope createResponseFromNormalizedMessageSuper(SOAPEnvelope responseEnv, NormalizedMessage nm2) throws ProviderException {
        return super.createResponseFromNormalizedMessage(responseEnv, nm2);
    }

    public boolean isCreateResponseFromNormalizedMessage() {
        return createResponseFromNormalizedMessage;
    }

    public void setCreateResponseFromNormalizedMessage(
            boolean createResponseFromNormalizedMessage) {
        this.createResponseFromNormalizedMessage = createResponseFromNormalizedMessage;
    }

    @Override
    protected void putJBIAttachmentsInSOAPMessage(SOAPMessage message, NormalizedMessage nm) throws ProviderException {
        setPutJBIAttachmentsInSOAPMessage(true);
    }

    public boolean isPutJBIAttachmentsInSOAPMessage() {
        return putJBIAttachmentsInSOAPMessage;
    }

    public void setPutJBIAttachmentsInSOAPMessage(
            boolean putJBIAttachmentsInSOAPMessage) {
        this.putJBIAttachmentsInSOAPMessage = putJBIAttachmentsInSOAPMessage;
    }

    public void setMessageFactory(MessageFactory msgfacto) {
       this.mMessageFactory = msgfacto;
    }
    
}
