package org.objectweb.petals.binding.xlinker.mock;

import java.util.Set;
import java.util.logging.Logger;

import javax.activation.DataHandler;
import javax.jbi.component.ComponentContext;
import javax.jbi.messaging.DeliveryChannel;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;
import javax.xml.namespace.QName;
import javax.xml.soap.SOAPMessage;

import org.act.soap.server.StandaloneWSServer;
import org.objectweb.petals.binding.xlinker.XlinkerBCListener;
import org.objectweb.petals.component.common.serviceunitmanager.manager.PetalsServiceUnitManager;
import org.w3c.dom.Document;

public class MockXlinkerBCListener extends XlinkerBCListener {

    public boolean sendErrorCalled = false;

    public boolean sendDoneCalled = false;

    public boolean sendFaultCalled = false;

    public boolean processInternalCallCalled = false;

    public boolean processExternalCallCalled = false;

    public boolean processOperationCalled = false;

    public boolean processInOutOperationCalled = false;

    public boolean processInOnlyOperationCalled = false;
    
    public boolean fillNormalizedMessageFromSOAPMessage = false;

    public boolean isFillNormalizedMessageFromSOAPMessage() {
        return fillNormalizedMessageFromSOAPMessage;
    }

    public void setFillNormalizedMessageFromSOAPMessage(
            boolean fillNormalizedMessageFromSOAPMessage) {
        this.fillNormalizedMessageFromSOAPMessage = fillNormalizedMessageFromSOAPMessage;
    }

    public MockXlinkerBCListener() {
        super();
    }

    public MockXlinkerBCListener(DeliveryChannel channel,
            ComponentContext context, PetalsServiceUnitManager sum, Logger log) {
        super(channel, context, sum, log);
    }

    public void processExternalCallSuper(MessageExchange messageExchange,
            Document serviceDesc, QName service, String operation)
        throws MessagingException {
        super.processExternalCall(messageExchange, serviceDesc, service,
                operation);
    }

    public void processInOnlyOperationSuper(MessageExchange messageExchange,
            String operation, QName service, Document serviceDesc,
            NormalizedMessage nm, Set<DataHandler> attachments) throws Exception {
        super.processInOnlyOperation(messageExchange, operation, service,
                serviceDesc, nm ,  attachments );
    }

    public void processInOutOperationSuper(MessageExchange messageExchange,
            String operation, QName service, Document serviceDesc,
            NormalizedMessage nm , Set<DataHandler> attachments) throws Exception {
        super.processInOutOperation(messageExchange, operation, service,
                serviceDesc, nm , attachments);
    }

    public void processOperationSuper(MessageExchange messageExchange,
            Document serviceDesc, String operation, QName service)
        throws MessagingException {
        super
                .processOperation(messageExchange, serviceDesc, operation,
                        service);
    }

    public void sendDoneSuper(MessageExchange messageExchange)
        throws MessagingException {
        super.sendDone(messageExchange);
    }

    public void sendErrorSuper(MessageExchange messageExchange, String reason,
            boolean severe) throws MessagingException {
        super.sendError(messageExchange, reason, severe);
    }

    public void sendFaultSuper(MessageExchange messageExchange, String reason,
            Exception e) throws MessagingException {
        super.sendFault(messageExchange, reason, e);
    }

    public void setChannel(DeliveryChannel chnl) {
        this.channel = chnl;
    }

    public void setContext(ComponentContext ctx) {
        this.context = ctx;
    }

    public void setLogger(Logger log) {
        this.logger = log;
    }

    public void setMessageExchange(MessageExchange msgEchg) {
        this.messageExchange = msgEchg;
    }

    public void setReceiver(StandaloneWSServer rcvr) {
        this.receiver = rcvr;
    }

    public void setServiceUnitManager(PetalsServiceUnitManager sum) {
        this.suManager = sum;
    }


    @Override
    protected void processExternalCall(MessageExchange messageExchange,
            Document serviceDesc, QName service, String operation)
        throws MessagingException {
        processExternalCallCalled = true;
    }

    @Override
    protected void processInOnlyOperation(MessageExchange messageExchange,
            String operation, QName service, Document serviceDesc,
            NormalizedMessage nm, Set<DataHandler> attachments) throws Exception {
        processInOnlyOperationCalled = true;
        if (nm == null) {
            throw new Exception("Normalized Message null");
        }
    }

    @Override
    protected void processInOutOperation(MessageExchange messageExchange,
            String operation, QName service, Document serviceDesc,
            NormalizedMessage nm , Set<DataHandler> attachments) throws Exception {
        processInOutOperationCalled = true;
        if (nm == null) {
            throw new Exception("Normalized Message null");
        }
    }

    @Override
    protected void processOperation(MessageExchange messageExchange,
            Document serviceDesc, String operation, QName service)
        throws MessagingException {
        processOperationCalled = true;
    }

    @Override
    protected void sendDone(MessageExchange messageExchange)
        throws MessagingException {
        sendDoneCalled = true;
    }

    @Override
    protected void sendError(MessageExchange messageExchange, String reason,
            boolean severe) throws MessagingException {
        sendErrorCalled = true;
    }

    @Override
    protected void sendFault(MessageExchange messageExchange, String reason,
            Exception e) throws MessagingException {
        sendFaultCalled = true;
    }

    @Override
    protected void fillNormalizedMessageFromSOAPMessage(NormalizedMessage nm, SOAPMessage message) throws Exception {
        setFillNormalizedMessageFromSOAPMessage(true);
    }

}
