package org.objectweb.petals.binding.xlinker.mock;

import java.io.File;
import java.util.logging.Logger;

import javax.jbi.component.ComponentContext;
import javax.jbi.management.DeploymentException;
import javax.xml.namespace.QName;

import org.objectweb.petals.binding.xlinker.XlinkerBC;
import org.objectweb.petals.binding.xlinker.handler.XlinkerServiceUnitHandler;

public class MockXlinkerServiceUnitHandler extends XlinkerServiceUnitHandler {

    private boolean getWsarFile = false;
    
    private boolean getServiceName = false;
    
    private boolean deployWsar = false;
    
    @Override
    protected void undeployWsar(XlinkerBC xlink, QName serviceName) throws Exception {
        setUndeployWsar(true);
    }

    private boolean undeployWsar = false;
    
    @Override
    protected void deployWsar(XlinkerBC xlink, File wsarFile, QName serviceName) throws Exception {
        setDeployWsar(true);
    }

    @Override
    protected QName getServiceName(String serviceUnitRootPath) throws DeploymentException {
        setGetServiceName(true);
        return null;
    }
    
    public QName getServiceNameSuper(String serviceUnitRootPath) throws DeploymentException {
        return super.getServiceName(serviceUnitRootPath);
    }

    @Override
    protected File getWsarFile(String serviceUnitRootPath) {
        setGetWsarFile(true);
        return null;
    }
    
    public File getWsarFileSuper(String serviceUnitRootPath) {
        return super.getWsarFile(serviceUnitRootPath);
    }

    public MockXlinkerServiceUnitHandler() {
        super();
    }

    public MockXlinkerServiceUnitHandler(ComponentContext context, Logger logger) {
        super(context, logger);
    }


    public boolean isDeployWsar() {
        return deployWsar;
    }

    public void setDeployWsar(boolean deployWsar) {
        this.deployWsar = deployWsar;
    }

    public boolean isGetServiceName() {
        return getServiceName;
    }

    public void setGetServiceName(boolean getServiceName) {
        this.getServiceName = getServiceName;
    }

    public boolean isGetWsarFile() {
        return getWsarFile;
    }

    public void setGetWsarFile(boolean getWsarFile) {
        this.getWsarFile = getWsarFile;
    }

    public boolean isUndeployWsar() {
        return undeployWsar;
    }

    public void setUndeployWsar(boolean undeployWsar) {
        this.undeployWsar = undeployWsar;
    }
}
