/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SOAPHelperTest.java 154 18 mai 2006 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xlinker.utils;

import javax.xml.soap.MessageFactory;
import javax.xml.soap.SOAPException;
import javax.xml.soap.SOAPMessage;

import org.objectweb.petals.binding.xlinker.utils.SOAPHelper;

import junit.framework.TestCase;

/**
 * 
 * @author wjoseph - EBM Websourcing
 * 
 */
public class SOAPHelperTest extends TestCase {

    private static final String SERVICE_FACTORY_IMPL_ACT = "org.act.soap.client.ServiceFactory";

    private static final String MESSAGE_FACTORY_PROPERTY = "javax.xml.soap.MessageFactory";

    private static final String MESSAGE_FACTORY_IMPL_ACT = "org.act.soap.message.MessageFactoryImpl";

    private static final String SOAP_CON_FACTORY_PROPERTY = "javax.xml.soap.SOAPConnectionFactory";

    private static final String SOAP_CON_FACTORY_IMPL_ACT = "org.act.soap.message.transport.ConnectionFactoryImpl";

    private static final String SERVICE_FACTORY_PROPERTY = "javax.xml.rpc.ServiceFactory";

    
    public void testCreateStringFromSOAPEnvelope() {
        /*
         * Test Case 1
         */
        SOAPMessage msg = null;
        try {
            msg = createSOAPMessage();
        } catch (Exception e) {
            e.printStackTrace();
            fail("Could not create soap message");
        }
        String result = null;
        String content = "<content>this is the content of my soap message</content>";
        try {
        SOAPHelper.putContentInSOAPEnvelope(msg.getSOAPPart().getEnvelope(), content);
        } catch (Exception e) {
            e.printStackTrace();
            fail ("Could fill the soap envelope");
        }
        /*
         * Run Test Case 1
         */
        try {
            result = SOAPHelper.createStringFromSOAPEnvelope(msg.getSOAPPart().getEnvelope());
        } catch (Exception e) {
            e.printStackTrace();
            fail ("Error during method invokation");
        }
        assertNotNull("No String created from soap envelope",result);
        assertTrue("The content of soap message was not correctly exctracted",result.contains(content.substring(10)));
    }

    protected SOAPMessage createSOAPMessage() throws SOAPException {
        System.setProperty(SERVICE_FACTORY_PROPERTY, SERVICE_FACTORY_IMPL_ACT);
        System.setProperty(MESSAGE_FACTORY_PROPERTY, MESSAGE_FACTORY_IMPL_ACT);
        System.setProperty(SOAP_CON_FACTORY_PROPERTY,
                        SOAP_CON_FACTORY_IMPL_ACT);
        MessageFactory msgFactory = MessageFactory.newInstance();
        SOAPMessage reqMessage = msgFactory.createMessage();
        reqMessage.getMimeHeaders().setHeader("SOAPAction", "");
        return reqMessage;
    }
    
    @Override
    protected void setUp() throws Exception {

    }

}
