/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id : $ 
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.binding.xquarebc.query;

import java.util.HashMap;

/**
 * This bean represents an instance of a parameterized stored query
 * (NB. akin to an SQL "select").
 * Is typically instanciated an filled according to the contents
 * of a "storedQuery" message sent to a XQuareBC-deployed service.
 * 
 * @version $Rev: 250 $Date: {date}
 * @since Petals 1.0
 * @author Marc Dutoo - Open Wide
 *
 */
public class StoredQuery {
    private String id;
    private String statement;
    private HashMap<String, String> parameterMap;
    
    /**
     * Creates a new instance of a parameterized stored query
     *
     */
    public StoredQuery() {
        
    }

    /**
     * 
     * @return the stored query's id (must be consistent with the
     * service unit's configuration)
     */
    public String getId() {
        return id;
    }
    public void setId(String id) {
        this.id = id;
    }
    /**
     * 
     * @return the stored query's parameter values (must be
     * consistent with the stored query's XQuery code in the
     * service unit's configuration)
     */
    public HashMap<String, String> getParameterMap() {
        return parameterMap;
    }
    public void setParameterMap(HashMap<String, String> parameterMap) {
        this.parameterMap = parameterMap;
    }
    /**
     * 
     * @return the stored query's XQuery statement
     */
    public String getStatement() {
        return statement;
    }
    public void setStatement(String statement) {
        this.statement = statement;
    }
}
