package org.objectweb.petals.engine.xslt.sdk;

import java.io.ByteArrayInputStream;
import java.io.ByteArrayOutputStream;

import javax.xml.parsers.ParserConfigurationException;
import javax.xml.parsers.SAXParserFactory;
import javax.xml.transform.Transformer;
import javax.xml.transform.TransformerException;
import javax.xml.transform.TransformerFactory;
import javax.xml.transform.sax.SAXSource;
import javax.xml.transform.sax.SAXTransformerFactory;
import javax.xml.transform.stream.StreamResult;
import javax.xml.transform.stream.StreamSource;

import org.xml.sax.InputSource;
import org.xml.sax.SAXException;
import org.xml.sax.XMLFilter;
import org.xml.sax.XMLReader;

public class XsltImpl implements Xslt {

	public XsltImpl() {
		super();
	}

	public String transform(String xml, String xslPath) throws SAXException,
			ParserConfigurationException, TransformerException {
		SAXParserFactory spf = SAXParserFactory.newInstance();
		spf.setNamespaceAware(true);
		XMLReader reader = spf.newSAXParser().getXMLReader();
		// Load xslt sheet to tranform xml
		SAXTransformerFactory stf = (SAXTransformerFactory) TransformerFactory
				.newInstance();
		XMLFilter filtre1 = stf.newXMLFilter(new StreamSource(xslPath));
		// Match reader with filters
		filtre1.setParent(reader);
		/*
		 * Creation of source: the last filter, this filter indicate
		 * transformations to do. Transform NormalizeMessage content in
		 * SAXsource.
		 */
		byte[] msg = xml.getBytes();
		InputSource inSource = new InputSource(new ByteArrayInputStream(msg));
		SAXSource source = new SAXSource(filtre1, inSource);

		ByteArrayOutputStream outStream = new ByteArrayOutputStream();
		StreamResult resultat = new StreamResult(outStream);
		// Transformation
		Transformer transformer = stf.newTransformer();
		transformer.transform(source, resultat);

		return new String(outStream.toByteArray());

	}

}
