package org.objectweb.rentacar;

import org.objectweb.rentacar.util.RentacarException;

public class AgencyException extends RentacarException {

	private static final long serialVersionUID = 1L;

	public AgencyException() {
		super();
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 */
	public AgencyException(String message, Throwable e) {
		super(message, e);
	}

	/**
	 * @param e the exception
	 */
	public AgencyException(Throwable e) {
		super(e);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 */
	public AgencyException(String message) {
		super(message);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 * @param messageKey key matching a message to display for internationalization
	 */
	public AgencyException(String message, Throwable e, String messageKey) {
		super(message, e);
		this.messageKey = messageKey;
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param messageKey key matching a message to display for internationalization
	 */
	public AgencyException(String message, String messageKey) {
		super(message);
		this.messageKey = messageKey;
	}

}
