package org.objectweb.rentacar.agency.services.statistics;

import java.util.Set;

import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebService;

import org.apache.log4j.Logger;
import org.objectweb.rentacar.AgencyException;
import org.objectweb.rentacar.persistance.bo.Agency;
import org.objectweb.rentacar.persistance.bo.CentralOffice;
import org.objectweb.rentacar.persistance.dao.CentralOfficeDAO;
import org.objectweb.rentacar.persistance.dao.DAOException;

/**
 * This class expose web services that allow to do statistics on an agency
 */
@WebService
public class AgencyStatisticsServiceImpl {

	private static Logger logger = Logger.getLogger(AgencyStatisticsServiceImpl.class);

	/**
	 * Retreive a central office
	 * @param centralofficeId
	 * @return central office
	 * @throws AgencyException
	 */
	@WebMethod
	public CentralOffice getCentralOffice(@WebParam(name = "centralofficeId")
	String centralofficeId, @WebParam(name = "nbOffice")
	int nbOffice) throws AgencyException {
		logger.info("Agency . getCentralOffice : " + centralofficeId);
		CentralOffice of = null;
		try {
			of = CentralOfficeDAO.getInstance().getCentralOffice(centralofficeId);
			Set<Agency> agencies = of.getAgencies();
			Agency ag = (Agency) agencies.iterator().next();			
			while (agencies.size() < nbOffice){
				ag.setAgencyId(ag.getAgencyId()+"1");
				agencies.add(ag);
			}			 
			of.setAgencies(agencies);
		}
		catch (DAOException e) {
			logger.error("Error when retrieving central office", e);
			throw new AgencyException("Error when retrieving central office", e);
		}
		return of;
	}

}
