
package org.objectweb.rentacar.services.client;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;
import org.objectweb.rentacar.services.client.AddressVO;
import org.objectweb.rentacar.services.client.AgencyCriteria;
import org.objectweb.rentacar.services.client.AgencyVO;
import org.objectweb.rentacar.services.client.CarCriteria;
import org.objectweb.rentacar.services.client.CarVO;
import org.objectweb.rentacar.services.client.CentralOfficeException;
import org.objectweb.rentacar.services.client.Consult;
import org.objectweb.rentacar.services.client.ConsultResponse;
import org.objectweb.rentacar.services.client.ContactVO;
import org.objectweb.rentacar.services.client.ObjectFactory;
import org.objectweb.rentacar.services.client.RetreiveAgencies;
import org.objectweb.rentacar.services.client.RetreiveAgenciesResponse;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.objectweb.rentacar.services.client package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _CentralOfficeException_QNAME = new QName("http://consultation.services.centraloffice.rentacar.objectweb.org/", "CentralOfficeException");
    private final static QName _ConsultResponse_QNAME = new QName("http://consultation.services.centraloffice.rentacar.objectweb.org/", "consultResponse");
    private final static QName _RetreiveAgencies_QNAME = new QName("http://consultation.services.centraloffice.rentacar.objectweb.org/", "retreiveAgencies");
    private final static QName _Consult_QNAME = new QName("http://consultation.services.centraloffice.rentacar.objectweb.org/", "consult");
    private final static QName _RetreiveAgenciesResponse_QNAME = new QName("http://consultation.services.centraloffice.rentacar.objectweb.org/", "retreiveAgenciesResponse");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.objectweb.rentacar.services.client
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link ContactVO }
     * 
     */
    public ContactVO createContactVO() {
        return new ContactVO();
    }

    /**
     * Create an instance of {@link Consult }
     * 
     */
    public Consult createConsult() {
        return new Consult();
    }

    /**
     * Create an instance of {@link CentralOfficeException }
     * 
     */
    public CentralOfficeException createCentralOfficeException() {
        return new CentralOfficeException();
    }

    /**
     * Create an instance of {@link RetreiveAgencies }
     * 
     */
    public RetreiveAgencies createRetreiveAgencies() {
        return new RetreiveAgencies();
    }

    /**
     * Create an instance of {@link AgencyCriteria }
     * 
     */
    public AgencyCriteria createAgencyCriteria() {
        return new AgencyCriteria();
    }

    /**
     * Create an instance of {@link AddressVO }
     * 
     */
    public AddressVO createAddressVO() {
        return new AddressVO();
    }

    /**
     * Create an instance of {@link CarVO }
     * 
     */
    public CarVO createCarVO() {
        return new CarVO();
    }

    /**
     * Create an instance of {@link CarCriteria }
     * 
     */
    public CarCriteria createCarCriteria() {
        return new CarCriteria();
    }

    /**
     * Create an instance of {@link AgencyVO }
     * 
     */
    public AgencyVO createAgencyVO() {
        return new AgencyVO();
    }

    /**
     * Create an instance of {@link RetreiveAgenciesResponse }
     * 
     */
    public RetreiveAgenciesResponse createRetreiveAgenciesResponse() {
        return new RetreiveAgenciesResponse();
    }

    /**
     * Create an instance of {@link ConsultResponse }
     * 
     */
    public ConsultResponse createConsultResponse() {
        return new ConsultResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link CentralOfficeException }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consultation.services.centraloffice.rentacar.objectweb.org/", name = "CentralOfficeException")
    public JAXBElement<CentralOfficeException> createCentralOfficeException(CentralOfficeException value) {
        return new JAXBElement<CentralOfficeException>(_CentralOfficeException_QNAME, CentralOfficeException.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link ConsultResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consultation.services.centraloffice.rentacar.objectweb.org/", name = "consultResponse")
    public JAXBElement<ConsultResponse> createConsultResponse(ConsultResponse value) {
        return new JAXBElement<ConsultResponse>(_ConsultResponse_QNAME, ConsultResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetreiveAgencies }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consultation.services.centraloffice.rentacar.objectweb.org/", name = "retreiveAgencies")
    public JAXBElement<RetreiveAgencies> createRetreiveAgencies(RetreiveAgencies value) {
        return new JAXBElement<RetreiveAgencies>(_RetreiveAgencies_QNAME, RetreiveAgencies.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link Consult }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consultation.services.centraloffice.rentacar.objectweb.org/", name = "consult")
    public JAXBElement<Consult> createConsult(Consult value) {
        return new JAXBElement<Consult>(_Consult_QNAME, Consult.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link RetreiveAgenciesResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://consultation.services.centraloffice.rentacar.objectweb.org/", name = "retreiveAgenciesResponse")
    public JAXBElement<RetreiveAgenciesResponse> createRetreiveAgenciesResponse(RetreiveAgenciesResponse value) {
        return new JAXBElement<RetreiveAgenciesResponse>(_RetreiveAgenciesResponse_QNAME, RetreiveAgenciesResponse.class, null, value);
    }

}
