package org.objectweb.rentacar.persistance.bo;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * A list of criteria to retrieve specific agencies
 * @author ofabre
 *
 */
public class AgencyCriteria {
	
	private String agencyId;
	
	private String zipPattern;
	
	private String lastName;

	public AgencyCriteria() {
		super();
	}
	
	public AgencyCriteria(String agencyId, String zipPattern, String lastName) {
		super();
		// TODO Auto-generated constructor stub
		this.zipPattern = zipPattern;
		this.lastName = lastName;
	}

	public String getLastName() {
		return lastName;
	}

	public void setLastName(String lastName) {
		this.lastName = lastName;
	}

	public String getZipPattern() {
		return zipPattern;
	}

	public void setZipPattern(String zipPattern) {
		this.zipPattern = zipPattern;
	}

	public String getAgencyId() {
		return agencyId;
	}

	public void setAgencyId(String agencyId) {
		this.agencyId = agencyId;
	}

	/**
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object object) {
		if (!(object instanceof AgencyCriteria)) {
			return false;
		}
		AgencyCriteria rhs = (AgencyCriteria) object;
		return new EqualsBuilder().append(this.zipPattern, rhs.zipPattern)
				.append(this.agencyId, rhs.agencyId).append(this.lastName,
						rhs.lastName).isEquals();
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return new HashCodeBuilder(1916301059, 2054063585).append(
				this.zipPattern).append(this.agencyId).append(this.lastName)
				.toHashCode();
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new ToStringBuilder(this).append("lastName", this.lastName)
				.append("agencyId", this.agencyId).append("zipPattern",
						this.zipPattern).toString();
	}
	
	

}
