package org.objectweb.rentacar.persistance.bo;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;
import org.hibernate.annotations.GenericGenerator;

/**
 * 
 * @author ofabre
 *
 */
@Entity
public class Car {
	
	// Fields
	private String carId;
	
	private String type;
	
	private String brand;
	
	private String model;

	public Car() {
		super();
		// TODO Auto-generated constructor stub
	}
	
	public Car(String type,  String brand, String model) {
		super();
		this.type = type;
		this.brand = brand;
		this.model = model;
	}

	public Car(String carId, String type,  String brand, String model) {
		super();
		// TODO Auto-generated constructor stub
		this.carId = carId;
		this.type = type;
		this.brand = brand;
		this.model = model;
	}
	
	public Car(CarVO carVO) {
		super();
		// TODO Auto-generated constructor stub
		this.carId = carVO.getCarId();
		this.type = carVO.getType();
		this.brand = carVO.getBrand();
		this.model = carVO.getModel();
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	@Id	@GeneratedValue(generator = "system-uuid")
	@GenericGenerator(name="system-uuid", strategy = "uuid")
	public String getCarId() {
		return carId;
	}

	public void setCarId(String carId) {
		this.carId = carId;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object object) {
		if (!(object instanceof Car)) {
			return false;
		}
		Car rhs = (Car) object;
		return new EqualsBuilder().append(this.brand, rhs.brand).append(
				this.type, rhs.type).append(
				this.model, rhs.model).append(this.carId, rhs.carId).isEquals();
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return new HashCodeBuilder(-1168981869, -109522229).append(this.brand)
				.append(this.type).append(this.model)
				.append(this.carId).toHashCode();
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new ToStringBuilder(this).append("model", this.model).append(
				"carId", this.carId).append(
				"type", this.type).append(
				"brand", this.brand).toString();
	}
	
	

}
