package org.objectweb.rentacar.persistance.bo;

import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 
 * @author ofabre
 *
 */
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "carDeLuxeVO", propOrder = {
    "fridge",
    "smallBar",
    "swimingpool",
    "television"
})
public class CarDeLuxeVO extends CarVO {

	private String fridge;
	
	private String swimingpool;
	
	private String smallBar;
	
	private String television;

	public CarDeLuxeVO() {
		super();
	}

	public CarDeLuxeVO(String type, String brand, String model, String fridge, String swimingpool, String smallBar, String television) {
		super(type,  brand, model);
		this.fridge = fridge;
		this.swimingpool = swimingpool;
		this.smallBar = smallBar;
		this.television = television;
	}

	public String getFridge() {
		return fridge;
	}

	public void setFridge(String fridge) {
		this.fridge = fridge;
	}

	public String getSmallBar() {
		return smallBar;
	}

	public void setSmallBar(String smallBar) {
		this.smallBar = smallBar;
	}

	public String getSwimingpool() {
		return swimingpool;
	}

	public void setSwimingpool(String swimingpool) {
		this.swimingpool = swimingpool;
	}

	public String getTelevision() {
		return television;
	}

	public void setTelevision(String television) {
		this.television = television;
	}

	/**
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object object) {
		if (!(object instanceof CarDeLuxeVO)) {
			return false;
		}
		CarDeLuxeVO rhs = (CarDeLuxeVO) object;
		return new EqualsBuilder().append(this.television, rhs.television)
				.append(this.fridge, rhs.fridge).append(this.swimingpool,
						rhs.swimingpool).append(this.smallBar, rhs.smallBar)
				.isEquals();
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return new HashCodeBuilder(-1474744901, 1349430491).append(
				this.television).append(this.fridge).append(this.swimingpool)
				.append(this.smallBar).toHashCode();
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new ToStringBuilder(this)
				.append("swimingpool", this.swimingpool).append("smallBar",
						this.smallBar).append("model", this.getModel()).append(
						"carId", this.getCarId()).append("television",
						this.television).append("type", this.getType()).append(
						"fridge", this.fridge).append("brand", this.getBrand())
				.toString();
	}
	
}
