package org.objectweb.rentacar.persistance.bo;

import javax.xml.bind.annotation.AccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 
 * @author ofabre
 *
 */
@XmlAccessorType(AccessType.FIELD)
@XmlType(name = "carVO", propOrder = {
    "brand",
    "carId",
    "model",
    "type"
})
public class CarVO {
	
	private String carId;
	
	private String type;
	
	private String brand;
	
	private String model;

	public CarVO() {
		super();
		// TODO Auto-generated constructor stub
	}
	
	public CarVO(String type, String brand, String model) {
		super();
		this.type = type;
		this.brand = brand;
		this.model = model;
	}

	public CarVO(String carId, String type, String brand, String model) {
		super();
		this.carId = carId;
		this.type = type;
		this.brand = brand;
		this.model = model;
	}
	
	public CarVO(Car car) {
		super();
		this.carId = car.getCarId();
		this.type = car.getType();
		this.brand = car.getBrand();
		this.model = car.getModel();
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public String getCarId() {
		return carId;
	}

	public void setCarId(String carId) {
		this.carId = carId;
	}

	public String getModel() {
		return model;
	}

	public void setModel(String model) {
		this.model = model;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}

	/**
	 * @see java.lang.Object#equals(Object)
	 */
	public boolean equals(Object object) {
		if (!(object instanceof CarVO)) {
			return false;
		}
		CarVO rhs = (CarVO) object;
		return new EqualsBuilder().append(this.brand, rhs.brand).append(
				this.type, rhs.type).append(
				this.model, rhs.model).append(this.carId, rhs.carId).isEquals();
	}

	/**
	 * @see java.lang.Object#hashCode()
	 */
	public int hashCode() {
		return new HashCodeBuilder(-1168981869, -109522229).append(this.brand)
				.append(this.type).append(this.model)
				.append(this.carId).toHashCode();
	}

	/**
	 * @see java.lang.Object#toString()
	 */
	public String toString() {
		return new ToStringBuilder(this).append("model", this.model).append(
				"carId", this.carId).append(
				"type", this.type).append(
				"brand", this.brand).toString();
	}
	
	

}
