package org.objectweb.rentacar.persistance.dao;

import java.util.Set;

import org.objectweb.rentacar.persistance.bo.Agency;
import org.objectweb.rentacar.persistance.bo.CentralOffice;

/**
 * @author ofabre
 */
public class CentralOfficeDAO extends GenericDAO {

	private static CentralOfficeDAO theInstance;

	private CentralOfficeDAO() {

	}

	public static synchronized CentralOfficeDAO getInstance() {
		if (null == theInstance) {
			theInstance = new CentralOfficeDAO();
		}
		return theInstance;
	}

	/**
	 * Update the agency set of a central office following the best practice given by
	 * Hibernate
	 * @param agencyId
	 * @param newCars
	 * @throws DAOException
	 */
	public void updateCentralOfficeAgencies(String centralOfficeId, Set<Agency> newAgencies) throws DAOException {

		CentralOffice centralOffice = null;

		centralOffice = (CentralOffice) retrieveById(CentralOffice.class, centralOfficeId);

		centralOffice.getAgencies().clear();
		centralOffice.getAgencies().addAll(newAgencies);

		update(centralOffice);
	}

	/**
	 * Return a central office
	 * @param centralOfficeId
	 * @return central office
	 * @throws DAOException
	 */
	public CentralOffice getCentralOffice(String centralOfficeId) throws DAOException {
		return (CentralOffice) retrieveById(CentralOffice.class, centralOfficeId);
	}

}
