package org.objectweb.rentacar.persistance.util;

import java.util.Properties;

import org.hibernate.HibernateException;
import org.hibernate.Session;
import org.hibernate.SessionFactory;
import org.hibernate.cfg.AnnotationConfiguration;
import org.objectweb.rentacar.persistance.bo.Address;
import org.objectweb.rentacar.persistance.bo.Agency;
import org.objectweb.rentacar.persistance.bo.Car;
import org.objectweb.rentacar.persistance.bo.CentralOffice;
import org.objectweb.rentacar.persistance.bo.Contact;
import org.objectweb.rentacar.persistance.bo.Partner;
import org.objectweb.rentacar.persistance.bo.Reservation;
import org.objectweb.rentacar.util.RentacarConfigHelper;

/**
 * 
 * @author ofabre
 *
 */
public class HibernateUtil {
	
	private static final SessionFactory sessionFactory;
	private static Session session;

    static {
        try {
        	Properties props = new Properties();
        	
	        props.setProperty("show_sql" , RentacarConfigHelper.getProperty("hibernate-configuration", "show_sql"));
	        props.setProperty("hibernate.connection.driver_class" , RentacarConfigHelper.getProperty("hibernate-configuration", "hibernate.connection.driver_class"));
	        props.setProperty("hibernate.connection.url" , RentacarConfigHelper.getProperty("hibernate-configuration", "hibernate.connection.url"));
	        props.setProperty("hibernate.connection.username" , RentacarConfigHelper.getProperty("hibernate-configuration", "hibernate.connection.username"));
	        props.setProperty("hibernate.connection.password" , RentacarConfigHelper.getProperty("hibernate-configuration", "hibernate.connection.password"));
	        props.setProperty("hibernate.dialect" , RentacarConfigHelper.getProperty("hibernate-configuration", "hibernate.dialect"));
	        
	        AnnotationConfiguration configuration = new AnnotationConfiguration();
	        configuration.addProperties(props);
        
	        
            sessionFactory = configuration
            				.addPackage("org.objectweb.rentacar.persistance.bo")
            				.addAnnotatedClass(Address.class)
            				.addAnnotatedClass(Agency.class)
            				.addAnnotatedClass(Car.class)
            				.addAnnotatedClass(CentralOffice.class)
            				.addAnnotatedClass(Contact.class)
            				.addAnnotatedClass(Partner.class)
            				.addAnnotatedClass(Reservation.class)
            				.buildSessionFactory();
        } catch (Throwable ex) {
            // Log exception!
            throw new ExceptionInInitializerError(ex);
        }
    }

    public static Session getSession()
            throws HibernateException {
    	if(session!=null){
    		return session;
    	}
    	session=sessionFactory.openSession();
    	return session;
    }

}
