/*
 * Created on 26 juil. 2005
 *
 * TODO To change the template for this generated file go to
 * Window - Preferences - Java - Code Style - Code Templates
 */
package org.objectweb.rentacar.util;

import java.io.IOException;
import java.io.InputStream;

import org.jdom.Document;
import org.jdom.JDOMException;
import org.jdom.input.SAXBuilder;

/**
 * @author mcarpentier
 *
 * Load an XML configuration file
 */
public class ConfigHelper {

	
	/**
	 * Read the portal configuration Document
	 * @return the portal configuration Document
	 * @throws ConfigHelperException if configuration file was not found
	 * @throws JDOMException if an error occured while parsing the configuration file
	 */
	public static Document getConfig(String XMLfile) throws RentacarUtilException  {
		Document doc = null;
		String myFile = StringHelper.isEmpty(XMLfile) ? "rentacar.cfg.xml" : XMLfile;
		InputStream myInputStream  = ConfigHelper.class.getResourceAsStream("/"+myFile);
		if (myInputStream == null) {
			//TODO : log
			throw new ExceptionInInitializerError("unable to find configuration file");
		}
		try {
			doc =parseXmlFile(myInputStream);	
		} catch (JDOMException e) {
			throw new RentacarUtilException("Error in JDOM parsing", e);
		} catch (IOException e) {
			throw new RentacarUtilException("Error in JDOM parsing", e);
		}
		return doc;
		
	}
	
	/**
	 * TODO : check if XML file is following its DTD ?
	 */
	public boolean isValid(String XMLfile) {
		return true;
	}
	
	/**
	 * Parse an xml file to produce a Document object mapping this xml template
	 * @param xmlURL the InputStream loaded from the XML document
	 * @return the JDOM document
	 * @throws IOException 
	 */
	private static Document parseXmlFile(InputStream xmlURL) throws JDOMException, IOException {
		Document document = null;
		SAXBuilder sxb = new SAXBuilder();
		document = sxb.build(xmlURL);
		return document;
	}

}
