package org.objectweb.rentacar.util;

import java.io.File;
import java.io.FileInputStream;
import java.util.Properties;

public class PropertiesLoader {

	/**
	 * Returns the value of a property found in the specified file 
	 * @param inputFile The path to the properties file
	 * @param property The name of the property to be returned
	 * @return The value of the property
	 * @throws PropertyLoadingException
	 */
	public static String getProperty(String inputFile, String property) throws PropertyLoadingException{
		
			Properties prop = new Properties();
			try{
				if (new File(inputFile).exists()){
					prop.load(new FileInputStream(inputFile)); 
				}
				else {
					prop.load(PropertiesLoader.class.getClassLoader().getResourceAsStream(inputFile));
				}
			}
			catch (Exception e){
				throw new PropertyLoadingException("Error while loading the file",e);
			}
			return (String)prop.get(property);
	}
}
