package org.objectweb.rentacar.util;

public class PropertyLoadingException extends Exception {

	private static final long serialVersionUID = 1L;

	protected String messageKey;

	public PropertyLoadingException() {
		super();
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 */
	public PropertyLoadingException(String message, Throwable e) {
		super(message, e);
	}

	/**
	 * @param e the exception
	 */
	public PropertyLoadingException(Throwable e) {
		super(e);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 */
	public PropertyLoadingException(String message) {
		super(message);
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param e the exception
	 * @param messageKey key matching a message to display for internationalization
	 */
	public PropertyLoadingException(String message, Throwable e, String messageKey) {
		super(message, e);
		this.messageKey = messageKey;
	}

	/**
	 * @param message the raw message explaining the cause of the error
	 * @param messageKey key matching a message to display for internationalization
	 */
	public PropertyLoadingException(String message, String messageKey) {
		super(message);
		this.messageKey = messageKey;
	}

	public String getMessageKey() {
		return messageKey;
	}

}
