package org.objectweb.rentacar.util;

import java.util.List;

import org.jdom.Document;
import org.jdom.Element;

/**
 * @author mcarpentier
 *
 */
public class RentacarConfiguration{
	private Document document;
	
	public RentacarConfiguration(Document doc) {
		this.document = doc;
	}
	/**
	 * @param the component : bonita-configuration, mail-configuration,...
	 * @param the property to retrieve
	 * @return a Properties object containing all properties name and value
	 * @throws Exception if XML document doesn't follow the associated DTD or if an error occured while parsing the configuration file
	 */
	public String getProperty(String component,String property) throws RentacarUtilException {
		Element racine = getComponent(component);

		List propertyList = racine.getChildren("property");
		for (int i=0;i < propertyList.size();i++) {
	        if (((Element) propertyList.get(i)).getAttributeValue("name").equalsIgnoreCase(property)) {
	        	return ((Element) propertyList.get(i)).getText();
	        }
		}
		throw new RentacarUtilException("Property not found in configuration file : "+component+"/"+property);
	}
	
	public Element getComponent(String component) throws RentacarUtilException {
		List propertyList = document.getRootElement().getChildren("component");
		for (int i=0;i < propertyList.size();i++) {
	        if (((Element) propertyList.get(i)).getAttributeValue("name").equalsIgnoreCase(component)) {
	        	return ((Element) propertyList.get(i));
	        }
		}
		throw new RentacarUtilException("Component not found in configuration file : "+component);
	}
	
}
