/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MortgageRequest.java 154 6 juin 2006 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.demo.mortgage.workflow.orchestration;

/**
 * Bo handling mortgage request data
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class MortgageRequest {

    private String firstName;

    private String lastName;

    private String address;

    private float salary;

    private float propertyTaxes;

    private float insurance;

    private float autoPayment;

    private float creditCards;

    private float otherPayments;

    public MortgageRequest() {
        super();
    }

    public MortgageRequest(String firstName, String lastName, String address,
            float salary, float propertyTaxes, float insurance,
            float autoPayment, float creditCards, float otherPayments) {
        super();
        this.firstName = firstName;
        this.lastName = lastName;
        this.address = address;
        this.salary = salary;
        this.propertyTaxes = propertyTaxes;
        this.insurance = insurance;
        this.autoPayment = autoPayment;
        this.creditCards = creditCards;
        this.otherPayments = otherPayments;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public float getAutoPayment() {
        return autoPayment;
    }

    public void setAutoPayment(float autoPayment) {
        this.autoPayment = autoPayment;
    }

    public float getCreditCards() {
        return creditCards;
    }

    public void setCreditCards(float creditCards) {
        this.creditCards = creditCards;
    }

    public String getFirstName() {
        return firstName;
    }

    public void setFirstName(String firstName) {
        this.firstName = firstName;
    }

    public float getInsurance() {
        return insurance;
    }

    public void setInsurance(float insurance) {
        this.insurance = insurance;
    }

    public String getLastName() {
        return lastName;
    }

    public void setLastName(String lastName) {
        this.lastName = lastName;
    }

    public float getOtherPayments() {
        return otherPayments;
    }

    public void setOtherPayments(float otherPayments) {
        this.otherPayments = otherPayments;
    }

    public float getPropertyTaxes() {
        return propertyTaxes;
    }

    public void setPropertyTaxes(float propertyTaxes) {
        this.propertyTaxes = propertyTaxes;
    }

    public float getSalary() {
        return salary;
    }

    public void setSalary(float salary) {
        this.salary = salary;
    }
    
    /**
     * Overide toString to build a string from MortgageResponse fields
     * Pattern : fields separated by !!
     */
    @Override
    public String toString() {
        return firstName+"!!"+lastName+"!!"+address+"!!"+salary+"!!"+propertyTaxes+"!!"+insurance+"!!"+autoPayment+"!!"+creditCards+"!!"+otherPayments;
    }

}
