/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: LoggerTest.java 15:07:33 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.util.monolog.wrapper.javalog;

import java.io.File;

import junit.framework.TestCase;

import org.objectweb.util.monolog.Monolog;

/**
 * Test of the logger
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class LoggerTest extends TestCase {

    private org.objectweb.util.monolog.api.LoggerFactory loggerFactory;

    public void setUp() {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":")+1);
        
        System.setProperty("monolog.filename", baseDir + "src" + File.separator
            + "test-data" + File.separator + "monolog.properties");
        loggerFactory = Monolog.initialize();
    }

    public void testGetLoggerCheckParent() {
        Logger rootLogger = (Logger) loggerFactory.getLogger("root");
        Logger compo1Logger = (Logger) loggerFactory.getLogger("root.compo1");
        assertEquals(compo1Logger.getParent(), rootLogger);
    }

    public void testGetLoggerEquals() {
        Logger rootLogger = (Logger) loggerFactory.getLogger("root");
        Logger rootLogger1 = (Logger) loggerFactory.getLogger("root");
        assertEquals(rootLogger1, rootLogger);
    }

}
