/**
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: LifeCycleStateEventAbstract.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.jbi.component.event;

import java.util.EventObject;

import org.objectweb.petals.jbi.component.lifecycle.LifeCycleAbstract;

/**
 * <code>LifeCycleStateEventAbstract</code> contains contextual information about a
 * change of an element state.
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 * 
 */
public abstract class LifeCycleStateEventAbstract extends EventObject {
    public static final int STATE_CHANGE_EXCEPTION = 1;

    public static final int STATE_CHANGED = 0;

    private LifeCycleAbstract element;

    private int status;

    /**
     * Construct an event to notify a state evolution.
     * 
     * @param source
     *            the LifeCycleElement that originated the event
     * @param status
     *            status of the evolution
     */
    public LifeCycleStateEventAbstract(Object source, int status) {
        super(source);

        this.status = status;
    }

    public LifeCycleAbstract getElement() {
        return element;
    }

    public int getStatus() {
        return status;
    }
}
