package org.objectweb.petals.jbi.management.deployment.undeploy;

import java.io.File;
import java.util.HashMap;

import org.apache.commons.io.FileUtils;
import org.objectweb.petals.jbi.management.deployment.DeploymentContextConstants;
import org.objectweb.petals.jbi.management.deployment.DeploymentUtils;
import org.objectweb.petals.jbi.management.deployment.ServiceAssemblyDataHandler;
import org.objectweb.petals.processor.Task;

public class DeleteArchiveFromInstalledDirTask implements Task {

	public void execute(HashMap context) throws Exception {
		ServiceAssemblyDataHandler handler = (ServiceAssemblyDataHandler) context
				.get(DeploymentContextConstants.SA_DATA_HANDLER);

		File file = DeploymentUtils.getArchiveFile(handler.getArchiveURI());
		File installedArchive = DeploymentUtils.getInstalledArchive(file);
		if (installedArchive.exists()) {
			FileUtils.forceDelete(installedArchive);
		}
	}

	public void undo(HashMap context) throws Exception {
		// Nothing to do

	}

}
