/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: SAStateHolderRemovalTask.java 154 10 oct. 06 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.deployment.undeploy;

import java.util.HashMap;

import org.objectweb.petals.jbi.management.deployment.DeploymentContextConstants;
import org.objectweb.petals.jbi.management.deployment.ServiceAssemblyDataHandler;
import org.objectweb.petals.jbi.management.systemstate.SystemState;
import org.objectweb.petals.processor.Task;

/**
 * This task removes service assembly from state holder file
 * 
 * @author ofabre - EBM Websourcing
 * 
 */
public class SAStateHolderRemovalTask implements Task {

	/**
	 * JBI Container :: Recovery Service
	 */
	protected SystemState recoverySrv;

	public SAStateHolderRemovalTask(SystemState recoverySrv) {
		super();
		this.recoverySrv = recoverySrv;
	}

	public void execute(HashMap context) throws Exception {

		ServiceAssemblyDataHandler handler = (ServiceAssemblyDataHandler) context
				.get(DeploymentContextConstants.SA_DATA_HANDLER);

		recoverySrv.deleteServiceAssemblyStateHolder(handler.getName());

	}

	public void undo(HashMap context) throws Exception {
		// Nothing to do

	}

}
