/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2006 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ComponentState.java 154 28 avr. 2006 ofabre $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.systemstate;

import org.objectweb.petals.util.StringHelper;

/**
 * 
 * @author Olivier Fabre, Adrien LOUIS - EBM Websourcing
 * 
 */
public class ComponentState {
    private String archiveURL;

    private String installState;

    private String installURL;

    private String lifecycleState;

    private String name;

    public ComponentState() {
        super();
    }

    public ComponentState(String name, String installURL, String zipURL,
        String installState, String lifecycleState) {
        super();
        this.name = name;
        this.installURL = installURL;
        this.archiveURL = zipURL;
        this.installState = installState;
        this.lifecycleState = lifecycleState;
    }

    public boolean equals(Object o) {
        if (o instanceof ComponentState) {
            ComponentState cc = (ComponentState) o;

            return StringHelper.equal(name, cc.name)
                && StringHelper.equal(installURL, cc.installURL)
                && StringHelper.equal(archiveURL, cc.archiveURL)
                && StringHelper.equal(installState, cc.installState)
                && StringHelper.equal(lifecycleState, cc.lifecycleState);
        } else {
            return false;
        }
    }

    public String getArchiveURL() {
        return archiveURL;
    }

    public String getInstallState() {
        return installState;
    }

    public String getInstallURL() {
        return installURL;
    }

    public String getLifecycleState() {
        return lifecycleState;
    }

    public String getName() {
        return name;
    }

    public int hashCode() {
        int hashCode = 0;
        if (archiveURL != null) {
            hashCode += archiveURL.hashCode();
        }
        if (installState != null) {
            hashCode += installState.hashCode();
        }
        if (installURL != null) {
            hashCode += installURL.hashCode();
        }
        if (lifecycleState != null) {
            hashCode += lifecycleState.hashCode();
        }
        if (name != null) {
            hashCode += name.hashCode();
        }
        return hashCode;
    }

    public void setArchiveURL(String zipURL) {
        this.archiveURL = zipURL;
    }

    public void setInstallState(String installState) {
        this.installState = installState;
    }

    public void setInstallURL(String installURL) {
        this.installURL = installURL;
    }

    public void setLifecycleState(String lifecycleState) {
        this.lifecycleState = lifecycleState;
    }

    public void setName(String name) {
        this.name = name;
    }
}
