/**
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: InOutImpl.java,v 1.2 2005/07/22 10:24:27 alouis Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.jbi.messaging.types;

import javax.jbi.messaging.InOut;
import javax.jbi.messaging.MessagingException;
import javax.jbi.messaging.NormalizedMessage;

import org.objectweb.petals.jbi.messaging.MessageExchangeDecorator;
import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;

/**
 * This class is a InOut message
 * 
 * @author Adrien LOUIS - EBM WebSourcing
 * 
 */
public class InOutImpl extends MessageExchangeDecorator implements InOut {

    public InOutImpl(MessageExchangeImpl me, Role observerRole) {
        super(me, observerRole);

        me.setPattern(MessageExchangeImpl.IN_OUT_PATTERN);
    }

    /**
     * @see javax.jbi.messaging.InOnly#getInMessage()
     */
    public NormalizedMessage getInMessage() {
        return getMessage(MessageExchangeImpl.IN_MSG);
    }

    /**
     * @see javax.jbi.messaging.InOptionalOut#getOutMessage()
     */
    public NormalizedMessage getOutMessage() {
        return getMessage(MessageExchangeImpl.OUT_MSG);
    }

    /**
     * @see javax.jbi.messaging.InOnly#setInMessage(javax.jbi.messaging.NormalizedMessage)
     */
    public void setInMessage(NormalizedMessage msg) throws MessagingException {
        setMessage(msg, MessageExchangeImpl.IN_MSG);
    }

    /**
     * @see javax.jbi.messaging.InOptionalOut#setOutMessage(javax.jbi.messaging.NormalizedMessage)
     */
    public void setOutMessage(NormalizedMessage msg) throws MessagingException {
        setMessage(msg, MessageExchangeImpl.OUT_MSG);
    }
}
