/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ConsumerEndpoint.java 438 2006-05-19 11:12:26Z alouis $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.registry;

import java.io.Serializable;

import javax.jbi.servicedesc.ServiceEndpoint;

/**
 * This Endpoint is used for callback to the consumer during a message exchange.
 * only containername and componentname attributes are used. This endpoint is
 * never register, and is only used as the "consumer address" in a
 * MessageExchange instance.
 * 
 * @version $Rev: 438 $ $Date: 2006-05-19 13:12:26 +0200 (ven., 19 mai 2006) $
 * @since Petals 1.0
 * @author oanass,alouis,<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public class ConsumerEndpoint extends AbstractEndpoint implements
    ServiceEndpoint, Cloneable, Serializable {

    
    private static final long serialVersionUID = 1L;

    /**
     * @param endpoint
     */
    public ConsumerEndpoint(String componentname, String containerName) {
        super(null, null, componentname, containerName, EndpointType.CONSUMER,
            null);
    }
    
    /**
     * Used to clone ConsumerEndPoint.
     */
    public ConsumerEndpoint clone(){
        ConsumerEndpoint consumer = null;
        try {
            consumer = (ConsumerEndpoint) super.clone();
        } catch (CloneNotSupportedException e) {
            consumer = null;
        }
        return consumer;
    }
}
