/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: NameParser.java 2:56:00 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.registry.jndi;

import java.io.Serializable;

import javax.naming.CompositeName;
import javax.naming.Name;
import javax.naming.NameParser;
import javax.naming.NamingException;

/**
 * Name parser of the registry
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class JNDINameParser implements NameParser, Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * @see NameParser#parse(String)
     */
    public Name parse(String name) throws NamingException {
        return new CompositeName(name);
    }

    /**
     * @see Object#equals(Object)
     */
    public boolean equals(Object obj) {
        boolean test = false;
        if (obj instanceof JNDINameParser) {
            test = true;
        }
        return test;
    }

    public int hashCode() {
        int hashCode = 0;
        return hashCode;
    }

}
