/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ComponentContextForInstallationTest.java 11:32:10 AM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.context;

import javax.xml.namespace.QName;

import junit.framework.TestCase;

import org.objectweb.petals.jbi.component.mock.MockComponentContext;

/**
 * Test of the ComponentContextForInstallation
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ComponentContextForInstallationTest extends TestCase {
    private ComponentContextForInstallation componentContextForInstallation;

    private MockComponentContext componentContext;

    public void setUp() {
        componentContext = new MockComponentContext();
        componentContextForInstallation = new ComponentContextForInstallation(
            componentContext);
    }

    public void testActivateEndpoint() {
        try {
            componentContextForInstallation.activateEndpoint(new QName(
                "service"), "endpoint");
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testDeactivateEndpoint() {
        try {
            componentContextForInstallation.deactivateEndpoint(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testDeregisterExternalEndpoint() {
        try {
            componentContextForInstallation.deregisterExternalEndpoint(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetComponentName() {
        try {
            componentContextForInstallation.getComponentName();
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetDeliveryChannel() {
        try {
            componentContextForInstallation.getDeliveryChannel();
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetEndpoint() {
        try {
            componentContextForInstallation.getEndpoint(null, null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetEndpointDescriptor() {
        try {
            componentContextForInstallation.getEndpointDescriptor(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetEndpoints() {
        try {
            componentContextForInstallation.getEndpoints(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetEndpointsForService() {
        try {
            componentContextForInstallation.getEndpointsForService(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetExternalEndpoints() {
        try {
            componentContextForInstallation.getExternalEndpoints(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetExternalEndpointsForService() {
        try {
            componentContextForInstallation
                .getExternalEndpointsForService(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetLogger() {
        try {
            componentContextForInstallation.getLogger("test", "test");
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetWorkspaceRoot() {
        try {
            componentContextForInstallation.getWorkspaceRoot();
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testRegisterExternalEndpoint() {
        try {
            componentContextForInstallation.registerExternalEndpoint(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testResolveEndpointReference() {
        try {
            componentContextForInstallation.resolveEndpointReference(null);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetInstallRoot() {
        assertEquals(componentContextForInstallation.getInstallRoot(), "root");
    }

    public void testGetMBeanNames() {
        componentContextForInstallation.getMBeanNames();
        assertTrue(componentContext.isGetMBeanNames());
    }

    public void testGetMBeanServer() {
        componentContextForInstallation.getMBeanServer();
        assertTrue(componentContext.isGetMBeanServer());
    }

    public void testGetTransactionManager() {
        componentContextForInstallation.getTransactionManager();
        assertTrue(componentContext.isGetTransactionManager());
    }

    public void testGetNamingContext() {
        componentContextForInstallation.getNamingContext();
        assertTrue(componentContext.isGetNamingContext());
    }

}
