/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ServiceUnitMock.java 11:40:31 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.lifecycle.mock;

import javax.jbi.JBIException;
import javax.jbi.component.ComponentContext;
import javax.jbi.component.ComponentLifeCycle;
import javax.management.ObjectName;

import org.objectweb.petals.tools.jbicommon.descriptor.Identification;
import org.objectweb.petals.tools.jbicommon.descriptor.ServiceUnit;

/**
 * Mock object of the ServiceUnit
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ServiceUnitMock extends ServiceUnit implements ComponentLifeCycle {

    private String state = "Shutdown";

    private String targetArtifactsZip;

    public String getTargetArtifactsZip() {
        return targetArtifactsZip;
    }

    public void setTargetArtifactsZip(String targetArtifactsZip) {
        this.targetArtifactsZip = targetArtifactsZip;
    }

    public ServiceUnitMock() {
        super();
    }

    private Identification identification;

    private String targetComponentName;

    public void setIdentification(Identification identification) {
        this.identification = identification;
    }

    public void setTargetComponentName(String targetComponentName) {
        this.targetComponentName = targetComponentName;
    }

    public ObjectName getExtensionMBeanName() {
        return null;
    }

    public void init(ComponentContext context) throws JBIException {
    }

    public void shutDown() throws JBIException {
        state = "Shutdown";
    }

    public void start() throws JBIException {
        state = "Started";
    }

    public void stop() throws JBIException {
        state = "Stopped";
    }

    public String getState() {
        return state;
    }

    public Identification getIdentification() {
        return identification;
    }

    public String getTargetComponentName() {
        return targetComponentName;
    }

    public void setState(String state) {
        this.state = state;
    }

}
