/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockEndpointService.java 12:19:04 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.mock;

import javax.jbi.JBIException;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.objectweb.petals.jbi.management.service.EndpointService;
import org.objectweb.petals.jbi.registry.AbstractEndpoint;
import org.objectweb.petals.jbi.registry.ConsumerEndpoint;
import org.objectweb.petals.jbi.registry.InternalEndpoint;
import org.w3c.dom.Document;

/**
 * Mock object of the EndpointService
 * 
 * @author ddesjardins - eBMWebsourcing
 * @author wjoseph - eBMWebsourcing
 */
public class MockEndpointService implements EndpointService {

    private boolean deactivateEndpoint;

    private boolean deregisterInternalEndpoint;

    private boolean deregisterExternalEndpoint;

    private boolean getEndpoint;

    private boolean getInternalEndpointsForInterface;

    private boolean getInternalEndpointsForService;

    private boolean getExternalEndpointsForInterface;

    private boolean getExternalEndpointsForService;

    private boolean registerExternalEndpoint;

    public InternalEndpoint activateEndpoint(QName serviceName,
        String endpointName, ConsumerEndpoint address) throws JBIException {
        return new InternalEndpoint(serviceName, endpointName, "compo", "0",
            this);
    }

    public void bindFc(String arg0, Object arg1)
        throws NoSuchInterfaceException, IllegalBindingException,
        IllegalLifeCycleException {
    }

    public void createConnection(QName consInterface, QName provService, String provEndpoint) throws JBIException {
    }

    public void createConnection(QName consService, String consEndpoint, QName provService, String provEndpoint) throws JBIException {
        throw new JBIException("createConnection testing exception");
    }

    public void deactivateEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
        deactivateEndpoint = true;
    }

    public void deleteConnection(QName consInterface, QName provService, String provEndpoint) throws JBIException {
    }

    public void deleteConnection(QName consService, String consEndpoint, QName provService, String provEndpoint) throws JBIException {
    }

    public void deregisterExternalEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
        deregisterExternalEndpoint = true;
    }

    public void deregisterInternalEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
        deregisterInternalEndpoint = true;
    }

    public ServiceEndpoint getEndpoint(QName service, String name) {
        getEndpoint = true;
        return null;
    }

    public ServiceEndpoint getEndpoint(QName service, String name, boolean resolve) {
        getEndpoint = true;
        return null;
    }
    
    public Document getEndpointDescriptorForEndpoint(ServiceEndpoint endpoint) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpointsForInterface(
        QName interfaceName) {
        getExternalEndpointsForInterface = true;
        return new ServiceEndpoint[]{};
    }

    public ServiceEndpoint[] getExternalEndpointsForService(QName serviceName) {
        getExternalEndpointsForService = true;
        return new ServiceEndpoint[]{};
    }

    public String getFcState() {
        return null;
    }

    public QName[] getInterfacesForEndpoint(AbstractEndpoint endpoint) {
        return null;
    }

    public AbstractEndpoint getInternalEndpoint(QName service, String name) {
        return null;
    }

    public ServiceEndpoint[] getInternalEndpointsForInterface(
        QName interfaceName) {
        getInternalEndpointsForInterface = true;
        return new ServiceEndpoint[]{};
    }

    public ServiceEndpoint[] getInternalEndpointsForService(QName serviceName) {
        getInternalEndpointsForService = true;
        return new ServiceEndpoint[]{};
    }

    public boolean isContainerStarted(AbstractEndpoint endpoint) {
        return false;
    }

    public boolean isDeactivateEndpoint() {
        return deactivateEndpoint;
    }

    public boolean isDeregisterExternalEndpoint() {
        return deregisterExternalEndpoint;
    }

    public boolean isDeregisterInternalEndpoint() {
        return deregisterInternalEndpoint;
    }

    public boolean isExchangeWithConsumerOkayForComponent(InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return false;
    }

    public boolean isExchangeWithConsumerOkayForComponent(String componentName,
        InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return false;
    }

    public boolean isExchangeWithProviderOkayForComponent(InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return false;
    }

    public boolean isExchangeWithProviderOkayForComponent(String componentName,
        InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return false;
    }

    public boolean isGetEndpoint() {
        return getEndpoint;
    }

    public boolean isGetExternalEndpointsForInterface() {
        return getExternalEndpointsForInterface;
    }

    public boolean isGetExternalEndpointsForService() {
        return getExternalEndpointsForService;
    }

    public boolean isGetInternalEndpointsForInterface() {
        return getInternalEndpointsForInterface;
    }

    public boolean isGetInternalEndpointsForService() {
        return getInternalEndpointsForService;
    }

    public boolean isRegisterExternalEndpoint() {
        return registerExternalEndpoint;
    }

    public String[] listFc() {
        return null;
    }

    public Object lookupFc(String arg0) throws NoSuchInterfaceException {
        return null;
    }

    public void registerExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
        registerExternalEndpoint = true;
    }

    public void setDeactivateEndpoint(boolean deactivateEndpoint) {
        this.deactivateEndpoint = deactivateEndpoint;
    }

    public void setDeregisterExternalEndpoint(boolean deregisterExternalEndpoint) {
        this.deregisterExternalEndpoint = deregisterExternalEndpoint;
    }

    public void setDeregisterInternalEndpoint(boolean deregisterInternalEndpoint) {
        this.deregisterInternalEndpoint = deregisterInternalEndpoint;
    }

    public void setGetEndpoint(boolean getEndpoint) {
        this.getEndpoint = getEndpoint;
    }

    public void setGetExternalEndpointsForInterface(
        boolean getExternalEndpointsForInterface) {
        this.getExternalEndpointsForInterface = getExternalEndpointsForInterface;
    }

    public void setGetExternalEndpointsForService(
        boolean getExternalEndpointsForService) {
        this.getExternalEndpointsForService = getExternalEndpointsForService;
    }

    public void setGetInternalEndpointsForInterface(
        boolean getInternalEndpointsForInterface) {
        this.getInternalEndpointsForInterface = getInternalEndpointsForInterface;
    }

    public void setGetInternalEndpointsForService(
        boolean getInternalEndpointsForService) {
        this.getInternalEndpointsForService = getInternalEndpointsForService;
    }

    public void setRegisterExternalEndpoint(boolean registerExternalEndpoint) {
        this.registerExternalEndpoint = registerExternalEndpoint;
    }

    public void startFc() throws IllegalLifeCycleException {
    }

    public void stopFc() throws IllegalLifeCycleException {
    }

    public void unbindFc(String arg0) throws NoSuchInterfaceException,
        IllegalBindingException, IllegalLifeCycleException {
    }

}
