package org.objectweb.petals.jbi.component.mock;

import java.net.URI;

import javax.jbi.JBIException;
import javax.management.ObjectName;

import org.objectweb.petals.jbi.component.lifecycle.ServiceAssemblyLifeCycle;
import org.objectweb.petals.jbi.component.lifecycle.ServiceUnitLifeCycle;
import org.objectweb.petals.jbi.management.systemstate.SystemState;
import org.objectweb.petals.repository.RepositoryService;
import org.objectweb.petals.tools.jbicommon.descriptor.ServiceAssembly;
import org.objectweb.petals.util.LoggingUtil;

public class MockServiceAssemblyLifeCycle extends ServiceAssemblyLifeCycle {

    public MockServiceAssemblyLifeCycle(ObjectName mbeanName, LoggingUtil log, ServiceAssembly serviceAssembly, RepositoryService repositoryService, SystemState recoverySrv, URI installationRoot) {
        super(mbeanName, log, serviceAssembly, repositoryService, recoverySrv,
                installationRoot);
    }
    

    @Override
    public void shutDown() throws JBIException {
        throw new JBIException("shutdown testing exception");
    }

    @Override
    public void start() throws JBIException {
        throw new JBIException("start testing exception");
    }
    
    @Override
    public void stop() throws JBIException {
        throw new JBIException("stop testing exception");
    }


    @Override
    public void registerSUIntoSA(String suName, ServiceUnitLifeCycle serviceUnitLifeCycle) throws JBIException {
        throw new JBIException("registerSUIntoSA testing exception");
    }

}
