/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockServiceAssemblyLifeCycle2.java 16:39:45 wjoseph $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.component.mock;

import java.net.URI;

import javax.jbi.JBIException;
import javax.management.ObjectName;

import org.objectweb.petals.jbi.component.lifecycle.ServiceAssemblyLifeCycle;
import org.objectweb.petals.jbi.management.systemstate.SystemState;
import org.objectweb.petals.repository.RepositoryService;
import org.objectweb.petals.tools.jbicommon.descriptor.ServiceAssembly;
import org.objectweb.petals.util.LoggingUtil;

import static org.easymock.classextension.EasyMock.createMock;

/**
 * @version	$Rev: 250 $ $Date: 2006-04-21 14:20:57 +0200 (ven, 21 avr 2006) $
 * @since	Petals 1.0
 * @author wjoseph - EBM Webousourcing
 *
 */
public class MockServiceAssemblyLifeCycle2 extends ServiceAssemblyLifeCycle {

    public MockServiceAssemblyLifeCycle2(ObjectName mbeanName, LoggingUtil log, ServiceAssembly serviceAssembly, RepositoryService repositoryService, SystemState recoverySrv, URI installationRoot) {
        super(mbeanName, log, serviceAssembly, repositoryService, recoverySrv,
                installationRoot);
    }
    

    @Override
    public void shutDown() throws JBIException {
        throw createMock(JBIException.class);
    }

}
