/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: XMLManagementMessageTest.java 17:20:10 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.management.service.util;

import java.io.File;
import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.net.MalformedURLException;

import org.objectweb.petals.jbi.management.service.util.XMLResult.CauseFramework;
import org.objectweb.petals.jbi.management.service.util.XMLResult.MessageType;
import org.objectweb.petals.jbi.management.service.util.XMLResult.TaskResult;

import junit.framework.TestCase;

/**
 * Test of the XMLManagementMessage
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class XMLResultTest extends TestCase {

    public void testXMLResult() throws FileNotFoundException,
        MalformedURLException {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        XMLResult xmlResult = new XMLResult("test");
        xmlResult
            .addFrameworkTaskResult(TaskResult.SUCCESS, CauseFramework.YES);
        assertTrue(XMLResult.isValidComponentTask(xmlResult.getString(),
            new FileInputStream(baseDir + "src" + File.separator + "resources"
                + File.separator + "schema" + File.separator
                + "management-message.xsd")));
    }

    public void testXMLResult1() throws FileNotFoundException,
        MalformedURLException {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        XMLResult xmlResult = new XMLResult("test");
        xmlResult.addFrameworkTaskResult(TaskResult.SUCCESS, MessageType.INFO,
            "test", new String[] {"test"}, CauseFramework.YES);
        assertTrue(XMLResult.isValidComponentTask(xmlResult.getString(),
            new FileInputStream(baseDir + "src" + File.separator + "resources"
                + File.separator + "schema" + File.separator
                + "management-message.xsd")));
    }

    public void testXMLResult2() throws FileNotFoundException {
        String baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
        XMLResult xmlResult = new XMLResult("test");
        xmlResult.addFrameworkTaskResult(TaskResult.SUCCESS, MessageType.INFO,
            "test", new String[] {"test"}, "1", "exception",
            new String[] {"test"}, CauseFramework.YES);
        assertTrue(XMLResult.isValidComponentTask(xmlResult.getString(),
            new FileInputStream(baseDir + "src" + File.separator + "resources"
                + File.separator + "schema" + File.separator
                + "management-message.xsd")));
    }

}
