/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: AbstractEndpointTest.java 09:08:46 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.registry;

import javax.xml.namespace.QName;

import junit.framework.TestCase;

import org.objectweb.petals.jbi.management.service.EndpointService;
import org.objectweb.petals.jbi.management.service.EndpointServiceImpl;

/**
 * Test of the AbstractEndpoint
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class AbstractEndpointTest extends TestCase {

    public void testToString() {
        InternalEndpoint abstractEndpoint = new InternalEndpoint(new QName(
            "servicename"), "endpoint:test", "compo", "0", null);
        assertEquals(abstractEndpoint.toString(),
            "servicename ->endpoint:test (INTERNAL):0");
    }

    public void testGetters() {
        EndpointService endpointService = new EndpointServiceImpl();
        InternalEndpoint internalEndpoint = new InternalEndpoint(new QName(
            "service"), "endpointname", "compo", "0", endpointService);
        assertEquals(internalEndpoint.getComponentName(), "compo");
        assertEquals(internalEndpoint.getEndpointService(), endpointService);
        internalEndpoint.setDescription("test");
        assertEquals(internalEndpoint.getDescription(), "test");
    }

    public void testImplementsInterface() {
        InternalEndpoint internalEndpoint = new InternalEndpoint(new QName(
            "service"), "endpointname", "compo", "0", null);
        internalEndpoint.setInterfaces(new QName[] {new QName("test")});
        assertTrue(internalEndpoint.implementsInterface(new QName("test")));
    }

}
