/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockInitialContext.java 11:00:16 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.registry.mock;

import java.util.Hashtable;
import java.util.Map;

import javax.naming.Binding;
import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.Name;
import javax.naming.NameClassPair;
import javax.naming.NameParser;
import javax.naming.NamingException;

/**
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockInitialContext extends InitialContext {

    private MockContext context;

    public MockInitialContext() throws NamingException {
        super();
        context = new MockContext();
    }

    public Object addToEnvironment(String propName, Object propVal)
        throws NamingException {
        return context.addToEnvironment(propName, propVal);
    }

    public void bind(Name name, Object obj) throws NamingException {
        context.bind(name, obj);
    }

    public void bind(String name, Object obj) throws NamingException {
        context.bind(name, obj);
    }

    public void close() throws NamingException {
        context.close();
    }

    public Name composeName(Name name, Name prefix) throws NamingException {
        return context.composeName(name, prefix);
    }

    public String composeName(String name, String prefix)
        throws NamingException {
        return context.composeName(name, prefix);
    }

    public Context createSubcontext(Name name) throws NamingException {
        return context.createSubcontext(name);
    }

    public Context createSubcontext(String name) throws NamingException {
        return context.createSubcontext(name);
    }

    public void destroySubcontext(Name name) throws NamingException {
        context.destroySubcontext(name);
    }

    public void destroySubcontext(String name) throws NamingException {
        context.destroySubcontext(name);
    }

    public boolean equals(Object obj) {
        return context.equals(obj);
    }

    public Map<String, Object> getBindings() {
        return context.getBindings();
    }

    public Hashtable<?, ?> getEnvironment() throws NamingException {
        return context.getEnvironment();
    }

    public String getNameInNamespace() throws NamingException {
        return context.getNameInNamespace();
    }

    public NameParser getNameParser(Name name) throws NamingException {
        return context.getNameParser(name);
    }

    public NameParser getNameParser(String name) throws NamingException {
        return context.getNameParser(name);
    }

    public int hashCode() {
        return context.hashCode();
    }

    public MockNamingEnumeration<NameClassPair> list(Name name)
        throws NamingException {
        return context.list(name);
    }

    public MockNamingEnumeration<NameClassPair> list(String name)
        throws NamingException {
        return context.list(name);
    }

    public MockNamingEnumeration<Binding> listBindings(Name name)
        throws NamingException {
        return context.listBindings(name);
    }

    public MockNamingEnumeration<Binding> listBindings(String name)
        throws NamingException {
        return context.listBindings(name);
    }

    public Object lookup(Name name) throws NamingException {
        return context.lookup(name);
    }

    public Object lookup(String name) throws NamingException {
        return context.lookup(name);
    }

    public Object lookupLink(Name name) throws NamingException {
        return context.lookupLink(name);
    }

    public Object lookupLink(String name) throws NamingException {
        return context.lookupLink(name);
    }

    public void rebind(Name name, Object obj) throws NamingException {
        context.rebind(name, obj);
    }

    public void rebind(String name, Object obj) throws NamingException {
        context.rebind(name, obj);
    }

    public Object removeFromEnvironment(String propName) throws NamingException {
        return context.removeFromEnvironment(propName);
    }

    public void rename(Name oldName, Name newName) throws NamingException {
        context.rename(oldName, newName);
    }

    public void rename(String oldName, String newName) throws NamingException {
        context.rename(oldName, newName);
    }

    public void setBindings(Map<String, Object> bindings) {
        context.setBindings(bindings);
    }

    public String toString() {
        return context.toString();
    }

    public void unbind(Name name) throws NamingException {
        context.unbind(name);
    }

    public void unbind(String name) throws NamingException {
        context.unbind(name);
    }

}
