/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockAddressResolver.java 4:46:59 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.routing.mock;

import org.objectweb.petals.jbi.component.context.ComponentContextImpl;
import org.objectweb.petals.jbi.management.service.EndpointService;
import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;
import org.objectweb.petals.jbi.routing.AddressResolver;
import org.objectweb.petals.jbi.routing.RoutingException;

/**
 * Mock object of the AddressResolver
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockAddressResolver extends AddressResolver {

    public MockAddressResolver(EndpointService endpointService) {
        super(endpointService);
    }

    private boolean resolveAddress;

    public void resolveAddress(ComponentContextImpl source,
        MessageExchangeImpl exchange) throws RoutingException {
        resolveAddress = true;
    }

    public boolean isResolveAddress() {
        return resolveAddress;
    }

    public void setResolveAddress(boolean resolveAddress) {
        this.resolveAddress = resolveAddress;
    }

}
