/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockEndpointService.java 4:08:23 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.routing.mock;

import javax.jbi.JBIException;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.servicedesc.ServiceEndpoint;
import javax.xml.namespace.QName;

import org.objectweb.fractal.api.NoSuchInterfaceException;
import org.objectweb.fractal.api.control.IllegalBindingException;
import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.objectweb.petals.jbi.management.service.EndpointService;
import org.objectweb.petals.jbi.registry.AbstractEndpoint;
import org.objectweb.petals.jbi.registry.ConsumerEndpoint;
import org.objectweb.petals.jbi.registry.InternalEndpoint;
import org.w3c.dom.Document;

/**
 * Mock of the EndpointService
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockEndpointService implements EndpointService {

    public QName[] getInterfacesForEndpoint(AbstractEndpoint endpoint) {
        return null;
    }

    public InternalEndpoint activateEndpoint(QName serviceName,
        String endpointName, ConsumerEndpoint address) throws JBIException {
        return null;
    }

    public void deactivateEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
    }

    public void deregisterInternalEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
    }

    public void deregisterExternalEndpoint(ServiceEndpoint endpoint)
        throws JBIException {
    }

    public ServiceEndpoint getEndpoint(QName service, String name) {
        return new InternalEndpoint(service, name, "compo", "0", this);
    }

    public Document getEndpointDescriptorForEndpoint(ServiceEndpoint endpoint) {
        return null;
    }

    public ServiceEndpoint[] getInternalEndpointsForInterface(
        QName interfaceName) {
        ServiceEndpoint[] endpoints = new ServiceEndpoint[] {new InternalEndpoint(
            new QName("service"), "endpoint", "compo", "0", this)};
        return endpoints;
    }

    public ServiceEndpoint[] getInternalEndpointsForService(QName serviceName) {
        if (serviceName.equals(new QName("foo"))) {
            return new ServiceEndpoint[0];
        }
        return new InternalEndpoint[] {
            new InternalEndpoint(new QName("service"), "endpoint", "compo",
                "0", this),
            new InternalEndpoint(new QName("servicename"), "endpoint1",
                "compo", "0", this)};
    }

    public ServiceEndpoint[] getExternalEndpointsForInterface(
        QName interfaceName) {
        return null;
    }

    public ServiceEndpoint[] getExternalEndpointsForService(QName serviceName) {
        return null;
    }

    public void registerExternalEndpoint(ServiceEndpoint externalEndpoint)
        throws JBIException {
    }

    public AbstractEndpoint getInternalEndpoint(QName service, String name) {
        return new InternalEndpoint(service, name, "compo", "0", this);
    }

    public String getFcState() {
        return null;
    }

    public void startFc() throws IllegalLifeCycleException {
    }

    public void stopFc() throws IllegalLifeCycleException {
    }

    public String[] listFc() {
        return null;
    }

    public Object lookupFc(String arg0) throws NoSuchInterfaceException {
        return null;
    }

    public void bindFc(String arg0, Object arg1)
        throws NoSuchInterfaceException, IllegalBindingException,
        IllegalLifeCycleException {
    }

    public void unbindFc(String arg0) throws NoSuchInterfaceException,
        IllegalBindingException, IllegalLifeCycleException {
    }

    public void createConnection(QName consInterface, QName provService,
        String provEndpoint) throws JBIException {
    }

    public void createConnection(QName consService, String consEndpoint,
        QName provService, String provEndpoint) throws JBIException {
    }

    public void deleteConnection(QName consInterface, QName provService,
        String provEndpoint) throws JBIException {
    }

    public void deleteConnection(QName consService, String consEndpoint,
        QName provService, String provEndpoint) throws JBIException {
    }

    public boolean isExchangeWithConsumerOkayForComponent(
        InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return true;
    }

    public boolean isExchangeWithProviderOkayForComponent(
        InternalEndpoint internalEndpoint, MessageExchange exchange) {
        return true;
    }

    public boolean isContainerStarted(AbstractEndpoint endpoint) {
        return true;
    }

    public ServiceEndpoint getEndpoint(QName service, String name, boolean resolveLink) {
        return new InternalEndpoint(service, name, "compo", "0", this);
    }

}
