/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockJoramQueue.java 2:19:23 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.jbi.transport.mock;

import javax.jbi.JBIException;
import javax.jms.JMSException;
import javax.jms.MessageListener;
import javax.naming.InitialContext;

import org.easymock.classextension.EasyMock;
import org.objectweb.petals.jbi.transport.JoramConnection;

/**
 * Mock object of the JoramConnection
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockJoramQueue extends JoramConnection {

    protected boolean startListening;

    protected boolean stopListening;

    protected boolean throwException;

    protected boolean unbindQueue;

    public MockJoramQueue() {
        super(0, 0, "foo", "bar", "127.0.0.1", EasyMock
            .createMock(InitialContext.class));
    }

    public boolean isStartListening() {
        return startListening;
    }

    public boolean isStopListening() {
        return stopListening;
    }

    public boolean isThrowException() {
        return throwException;
    }

    public boolean isUnbindQueue() {
        return unbindQueue;
    }

    public void setStartListening(boolean startListening) {
        this.startListening = startListening;
    }

    public void setStopListening(boolean stopListening) {
        this.stopListening = stopListening;
    }

    public void setThrowException(boolean throwException) {
        this.throwException = throwException;
    }

    public void setUnbindQueue(boolean unbindQueue) {
        this.unbindQueue = unbindQueue;
    }

    public void startListening(MessageListener aML) throws JMSException {
        if (throwException) {
            throw new JMSException("error");
        }
        startListening = true;
    }

    public void stopListening() throws JMSException {
        stopListening = true;
    }

    public void unbindQueue() throws JBIException {
        unbindQueue = true;
    }

}
