/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: ContainerInformationTest.java 14:26:58 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.admin;

import org.objectweb.petals.kernel.admin.ContainerInformation.ContainerState;

import junit.framework.TestCase;

/**
 * Test of the ContainerInformation
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ContainerInformationTest extends TestCase {

    public void testSetters() {
        ContainerInformation containerInformation = new ContainerInformation();
        containerInformation.setHost("host");
        assertEquals("host", containerInformation.getHost());
        containerInformation.setJmxLogin("jmxLogin");
        assertEquals("jmxLogin", containerInformation.getJmxLogin());
        containerInformation.setJmxPassword("jmxPassword");
        assertEquals("jmxPassword", containerInformation.getJmxPassword());
        containerInformation.setJmxPort("jmxPort");
        assertEquals("jmxPort", containerInformation.getJmxPort());

        containerInformation.setJoramId("joramID");
        assertEquals("joramID", containerInformation.getJoramId());
        containerInformation.setJoramLogin("joramLogin");
        assertEquals("joramLogin", containerInformation.getJoramLogin());
        containerInformation.setJoramPassword("joramPass");
        assertEquals("joramPass", containerInformation.getJoramPassword());
        containerInformation.setJoramDomainPort("joramDomainPort");
        assertEquals("joramDomainPort", containerInformation
            .getJoramDomainPort());

        containerInformation.setName("0");
        assertEquals("0", containerInformation.getName());

        containerInformation.setUid((long) 1000);
        assertEquals(containerInformation.getUid(), 1000);

        containerInformation.setHtmlPort("8082");
        assertEquals(containerInformation.getHtmlPort(), "8082");

        containerInformation.setJndiFactory("factory");
        assertEquals(containerInformation.getJndiFactory(), "factory");

        containerInformation.setJndiPort("16400");
        assertEquals(containerInformation.getJndiPort(), "16400");

        containerInformation.setJoramDomain("domain");
        assertEquals(containerInformation.getJoramDomain(), "domain");

        containerInformation.setJoramTCPPort("16200");
        assertEquals(containerInformation.getJoramTCPPort(), "16200");

        containerInformation.setState(ContainerState.STARTED);
        assertEquals(containerInformation.getState(), ContainerState.STARTED);
        assertTrue(containerInformation.isStarted());
        assertFalse(containerInformation.isStopped());

        assertEquals(
            containerInformation.toString(),
            "Container joramID (isRunning true) host: host Joram: joramDomainPort JMX: jmxPort JNDI: 16400 HTML: 8082");

    }

}
