/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: StopJMXServerThreadTest.java 5:18:36 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.jmx;

import javax.management.remote.JMXConnectorServer;
import javax.management.remote.JMXServiceURL;

import junit.framework.TestCase;

import org.easymock.classextension.EasyMock;
import org.objectweb.petals.util.LoggingUtil;

/**
 * Test of the StopJMXServerThread
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class StopJMXServerThreadTest extends TestCase {

    public void testRun() throws Throwable {
        LoggingUtil log = EasyMock.createMock(LoggingUtil.class);
        JMXConnectorServer connectorServer = EasyMock
            .createMock(JMXConnectorServer.class);
        String sJmxURL = "service:jmx:rmi:///jndi/rmi://127.0.0.1:8081/management/rmi-jmx-connector";
        JMXServiceURL jmxUrl = new JMXServiceURL(sJmxURL);
        StopJMXServerThread stopJMXServerThread = new StopJMXServerThread(
            connectorServer, log);

        log.debug("JMX server at " + sJmxURL + " stopped");
        connectorServer.stop();
        EasyMock.expect(connectorServer.getAddress()).andReturn(jmxUrl);

        EasyMock.replay(log);
        EasyMock.replay(connectorServer);

        stopJMXServerThread.log = log;

        stopJMXServerThread.run();
    }
}
