/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: RegistryUtilTest.java 2:37:11 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.registry;

import junit.framework.TestCase;

import org.easymock.classextension.EasyMock;
import org.objectweb.petals.util.LoggingUtil;
import org.objectweb.util.monolog.api.Logger;

/**
 * Tests of the RegistryUtil
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class RegistryUtilTest extends TestCase {

    protected RegistryUtil registryUtil;

    public void setUp() {
        RegistryServer server = new RegistryServer();
        registryUtil = new RegistryUtil(server);
        registryUtil.log = new LoggingUtil(EasyMock.createMock(Logger.class));
    }

    public void testBindException() {
        try {
            registryUtil.bind("/", null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testBindException2() {
        try {
            registryUtil.bind("/", "", "test");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testBindException4() {
        try {
            registryUtil.bind(null, "foo", "test");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testBindException5() {
        try {
            registryUtil.bind("/test/", "foo", "test");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testCreateSubcontextException() {
        try {
            registryUtil.createSubcontext("/", null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testCreateSubcontextException1() {
        try {
            registryUtil.createSubcontext(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testCreateSubcontextException2() {
        try {
            registryUtil.createSubcontext("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testCreateSubcontextException4() {
        try {
            registryUtil.createSubcontext(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testCreateSubcontextException5() {
        try {
            registryUtil.createSubcontext("/bar/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testDestroySubcontextException() {
        try {
            registryUtil.destroySubcontext(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testDestroySubcontextException1() {
        try {
            registryUtil.destroySubcontext(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testDestroySubcontextException2() {
        try {
            registryUtil.destroySubcontext("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testDestroySubcontextException3() {
        try {
            registryUtil.destroySubcontext("/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testDestroySubcontextException4() {
        try {
            registryUtil.destroySubcontext("/bar/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListException() {
        try {
            registryUtil.list(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListException1() {
        try {
            registryUtil.list(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListException2() {
        try {
            registryUtil.list("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListException3() {
        try {
            registryUtil.list("/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListBindingsException() {
        try {
            registryUtil.listBindings(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListBindingsException1() {
        try {
            registryUtil.listBindings(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListBindingsException2() {
        try {
            registryUtil.listBindings("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testListBindingsException3() {
        try {
            registryUtil.listBindings("/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupException() {
        try {
            registryUtil.lookup(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupException1() {
        try {
            registryUtil.lookup(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupException2() {
        try {
            registryUtil.lookup("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupException3() {
        try {
            registryUtil.lookup("/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupException4() {
        try {
            registryUtil.lookup("/bar/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupLinkException() {
        try {
            registryUtil.lookupLink(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupLinkException1() {
        try {
            registryUtil.lookupLink(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupLinkException2() {
        try {
            registryUtil.lookupLink("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testLookupLinkException3() {
        try {
            registryUtil.lookupLink("/", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRebindException() {
        try {
            registryUtil.rebind(null, null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRebindException1() {
        try {
            registryUtil.rebind(null, "foo", null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRebindException2() {
        try {
            registryUtil.rebind("/", "", null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRebindException3() {
        try {
            registryUtil.rebind("/foo", "bar", null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRebindException4() {
        try {
            registryUtil.rebind("/", "bar", "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException() {
        RegistryServer server = new RegistryServer();
        RegistryUtil registryUtil = new RegistryUtil(server);
        try {
            registryUtil.rename(null, null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException1() {
        try {
            registryUtil.rename(null, "foo", null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException2() {
        try {
            registryUtil.rename(null, "foo", "bar");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException3() {
        try {
            registryUtil.rename("/", "", "bar");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException4() {
        try {
            registryUtil.rename("/", "foo", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testRenameException5() {
        try {
            registryUtil.rename("/", null, "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testUnbindException() {
        try {
            registryUtil.unbind(null, null);
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testUnbindException1() {
        try {
            registryUtil.unbind(null, "foo");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testUnbindException2() {
        try {
            registryUtil.unbind("/", "");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testUnbindException3() {
        try {
            registryUtil.unbind("/foo", "bar");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }

    public void testUnbindException4() {
        try {
            registryUtil.unbind("/", "bar");
            fail();
        } catch (Exception e) {
            // do nothing
        }
    }
}
