/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: NamingContextFactoryTest.java 11:05:25 AM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.registry.jndi;

import java.util.Hashtable;

import javax.naming.NamingException;

import junit.framework.TestCase;

/**
 * Test of the NamingContextFactory
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class NamingContextFactoryTest extends TestCase {

    public void testGetInitialContext() throws NamingException {
        NamingContextFactory namingContextFactory = new NamingContextFactory();
        Hashtable<String, String> env = new Hashtable<String, String>();
        env.put("java.naming.factory.host", "127.0.0.1");
        env.put("java.naming.factory.port", "9999");
        NamingContextImpl namingContextImpl = (NamingContextImpl) namingContextFactory
            .getInitialContext(env);
        assertEquals(namingContextImpl.jndiConnection.host, "127.0.0.1");
        assertEquals(namingContextImpl.jndiConnection.port, 9999);
    }

    public void testGetInitialContextException() throws NamingException {
        NamingContextFactory namingContextFactory = new NamingContextFactory();
        Hashtable<String, String> env = new Hashtable<String, String>();
        env.put("java.naming.factory.port", "9999");
        try {
            namingContextFactory.getInitialContext(env);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

    public void testGetInitialContextException1() throws NamingException {
        NamingContextFactory namingContextFactory = new NamingContextFactory();
        Hashtable<String, String> env = new Hashtable<String, String>();
        env.put("java.naming.factory.host", "127.0.0.1");
        try {
            namingContextFactory.getInitialContext(env);
            fail();
        } catch (Exception e) {
            // Do nothing
        }
    }

}
