/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: RegistryRequestTest.java 9:04:45 AM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.kernel.registry.msg.response;

import junit.framework.TestCase;

import org.objectweb.petals.kernel.registry.msg.response.RegistryResponse.ResponseType;

/**
 * Test of the RegistryResponse
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class ResponseRequestTest extends TestCase {

    public void testToString() {
        RegistryResponse registryResponse = new RegistryResponse(
            ResponseType.ack, 0, 0);
        registryResponse.responseDate = 1;
        assertEquals(registryResponse.toString(), "RegistryResponse ack date 1");
    }

    public void testSetters() {
        RegistryResponse registryResponse = new RegistryResponse(
            ResponseType.ack, 0, 0);
        assertEquals(registryResponse.sender, 0);
        registryResponse.setSender(1);
        assertEquals(registryResponse.sender, 1);
        assertEquals(registryResponse.recipient, 0);
        registryResponse.setRecipient(1);
        assertEquals(registryResponse.recipient, 1);
        assertEquals(registryResponse.type, ResponseType.ack);
        registryResponse.setType(ResponseType.exception);
        assertEquals(registryResponse.type, ResponseType.exception);
    }

}
