/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MockLifeCycleController.java 10:03:25 AM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.system.launch.mock;

import org.objectweb.fractal.api.control.IllegalLifeCycleException;
import org.objectweb.fractal.api.control.LifeCycleController;

/**
 * MockLifeCycleController
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockLifeCycleController implements LifeCycleController {

    protected boolean throwException;

    protected String state;

    public String getFcState() {
        return state;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public void startFc() throws IllegalLifeCycleException {
        state = STARTED;
    }

    public void stopFc() throws IllegalLifeCycleException {
        if (throwException) {
            throw new IllegalLifeCycleException("Problem while stopping");
        } else {
            state = STOPPED;
        }
    }

    public void setThrowException(boolean throwException) {
        this.throwException = throwException;
    }

}
