/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: LoaderManagerImplTest.java 12:34:14 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.classloader;

import java.net.URL;
import java.util.ArrayList;
import junit.framework.TestCase;
import org.objectweb.petals.PetalsException;
import org.objectweb.petals.util.LoggingUtil;

/**
 * Tests of the LoaderManagerImpl
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class LoaderManagerImplTest extends TestCase {
    
    LoaderManagerImpl loaderManagerImpl =null;
    
    public void setUp(){
        loaderManagerImpl = new LoaderManagerImpl();
        loaderManagerImpl.log = new LoggingUtil(null);
    }
    
    public void testContainsClassLoader() {
        assertFalse(loaderManagerImpl.containsClassLoader("foo"));
    }

    public void testCreateClassLoader() throws PetalsException {
        assertNotNull(loaderManagerImpl.createClassLoader(new URL[0],
            new ArrayList<String>(), true));
    }

    public void testCreateComponentClassLoader() throws PetalsException {
        assertNotNull(loaderManagerImpl.createComponentClassLoader("foo",
            new URL[0], new ArrayList<String>(), true, new ArrayList<String>()));
    }

    public void testCreateSharedLibraryClassLoader() throws PetalsException {
        assertNotNull(loaderManagerImpl.createSharedLibraryClassLoader("foo",
            new URL[0], new ArrayList<String>(), true));
    }
    
    public void testDeleteClassLoader() throws PetalsException {
        assertFalse(loaderManagerImpl.containsClassLoader("bar"));
        loaderManagerImpl.createComponentClassLoader("bar",
            new URL[0], new ArrayList<String>(), true, new ArrayList<String>());
        assertTrue(loaderManagerImpl.containsClassLoader("bar"));
        loaderManagerImpl.deleteClassLoader("bar");
        assertFalse(loaderManagerImpl.containsClassLoader("bar"));
    }

}
