/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): OUAZZANI CHAHDI Anass
 * --------------------------------------------------------------------------
 * $Id: RouterMonitor.java,v 1.2 2006/09/05 10:24:27 oanass Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.monitoring.router;


import java.io.Serializable;

import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;


/**
 * @version $Rev: 617 $ $Date: 2006-06-19 17:28:41 +0200 (lun, 19 jun 2006) $
 * @since Petals 1.0
 * @author oanass
 *
 *  Interface for monitoring the Router.
 *  Each Monitor must implement this interface
 * Those methods are called by the RouterInterceptor when a message is sent or received.
 */
public interface RouterMonitor extends  Serializable{
    
    /**
     * This method is called just before calling send() on the Router.
     * @param exchange
     */
    public void beforeMessageSent(MessageExchangeImpl exchange);
    
    /**
     * This method is called just after calling send() on the Router.
     * @param exchange
     */
    public void afterMessageSent(MessageExchangeImpl exchange);

    /**
     * This method is called just before calling receive() on the Router.
     * @param exchange
     */
    public void beforeMessageReceived(MessageExchangeImpl message);
    
    /**
     * This method is called just after calling receive() on the Router.
     * @param exchange
     */
    public void afterMessageReceived(MessageExchangeImpl message);
    
}
