/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): OUAZZANI CHAHDI Anass
 * --------------------------------------------------------------------------
 * $Id: Meter.java,v 1.2 2006/09/05 10:24:27 oanass Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.monitoring.router.meter;

import java.io.Serializable;

import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;
import org.objectweb.petals.monitoring.router.RouterMonitor;

/**
 * @version $Rev: 617 $ $Date: 2006-06-19 17:28:41 +0200 (lun, 19 jun 2006) $
 * @since Petals 1.0
 * @author oanass
 * 
 * Used to calculate the number of messages which are sent from this container.
 */
public class MeterProbe implements RouterMonitor, Serializable {
    /**
     * 
     */
    private static final long serialVersionUID = -4303915328992789083L;

    /**
     * 
     */
    private int meterMessages = 0;

    /**
     * @return : Number of messages which were sent from this container.
     */
    public synchronized Integer count() {
        return new Integer(meterMessages);
    }

    /**
     * method that reset meter to zero.
     */
    public synchronized void clear() {
        this.meterMessages = 0;
    }

    /**
     * Nothing to do
     */
    public synchronized void beforeMessageSent(MessageExchangeImpl exchange) {
    }

    /**
     * Method that increment the number of messages. This method is called each
     * time that a new message is sent.
     */
    public synchronized void afterMessageSent(MessageExchangeImpl _exchange) {
        this.meterMessages++;
    }

    /**
     * Nothing to do
     */
    public synchronized void beforeMessageReceived(MessageExchangeImpl message) {
    }

    /**
     * Nothing to do
     */
    public synchronized void afterMessageReceived(MessageExchangeImpl message) {
    }
}
