/*
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): OUAZZANI CHAHDI Anass
 * --------------------------------------------------------------------------
 * $Id: ThreadMonitor.java,v 1.2 2006/09/05 10:24:27 oanass Exp $
 * --------------------------------------------------------------------------  
 */

package org.objectweb.petals.monitoring.transporter;

import org.objectweb.petals.jbi.messaging.MessageExchangeImpl;

/**
 * @version $Rev: 617 $ $Date: 2006-06-19 17:28:41 +0200 (lun, 19 jun 2006) $
 * @since Petals 1.0
 * @author oanass
 * 
 * This class allows to start a monitoring-operation in a new Thread.
 * Thus, all monitoring operations are launched in a multi-threaded way
 * (not sequentially)
 */
public class ThreadMonitor extends Thread{
    private MessageExchangeImpl exchange;
    private TransporterMonitor transporterMonitor;
    private int operation;
    
    /**
     * 
     * @param exchange
     * @param transporterMonitor
     * @param operation : 
     * <br> 0: before sent 
     * <br> 1: after sent 
     */
    public ThreadMonitor(MessageExchangeImpl exchange, TransporterMonitor transporterMonitor, int operation) {
        super("TransporterMonitoring"+transporterMonitor.hashCode()+"thread");
        this.operation = operation;
        this.exchange = exchange;
        this.transporterMonitor = transporterMonitor;
    }


    public void run() {
        switch (this.operation){
            case 0 : transporterMonitor.beforeMessageSent(this.exchange);
                    break;
            case 1 : transporterMonitor.afterMessageSent(this.exchange);
                    break;
            default: 
                    break;
        }
    }

}
