/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: Component.java 08:44:54 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.bean;

import java.util.Set;
import java.util.TreeSet;

import javax.management.ObjectName;

/**
 * This class represents a jbi entity
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class JBIEntity {

    /**
     * Binding component type
     */
    public static final String BINDING_COMPONENT = "Binding component";

    /**
     * Service engine type
     */
    public static final String SERVICE_ENGINE = "Service engine";

    /**
     * Service assembly type
     */
    public static final String SERVICE_ASSEMBLY = "Service assembly";

    /**
     * Name of the entity
     */
    private String name;

    /**
     * State of the entity
     */
    private String state;

    /**
     * Description of the entity
     */
    private String description;

    /**
     * JMX ObjectName
     */
    private ObjectName objectName;

    /**
     * List of service units
     */
    private Set<String> serviceUnits = new TreeSet<String>();

    /**
     * Type of entity
     */
    private String type;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getState() {
        return state;
    }

    public void setState(String state) {
        this.state = state;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public ObjectName getObjectName() {
        return objectName;
    }

    public void setObjectName(ObjectName objectName) {
        this.objectName = objectName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Set<String> getServiceUnits() {
        return serviceUnits;
    }

    public void setServiceUnits(Set<String> serviceUnits) {
        this.serviceUnits = serviceUnits;
    }

}
