/**
 * PETALS: PETALS Services Platform
 * Copyright (C) 2005 � EBM WebSourcing
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 * 
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA.
 *
 * Initial developer(s): EBM WebSourcing
 * --------------------------------------------------------------------------
 * $Id: WebAdminException.java,v 1.2 2005/07/22 10:24:27 ddesjardins Exp $
 * --------------------------------------------------------------------------  
 */
package org.objectweb.petals.tools.webadmin.exception;

/**
 * Exception used in the webadmin project
 * 
 * @author ddesjardins - eBMWebsourcing
 */

public class WebAdminException extends Exception {

    private static final long serialVersionUID = 1L;

    public WebAdminException() {
        super();
    }

    /**
     * @param message
     *            the raw message explaining the cause of the error
     * @param e
     *            the exception
     */
    public WebAdminException(String message, Throwable e) {
        super(message, e);
    }

    /**
     * @param e
     *            the exception
     */
    public WebAdminException(Throwable e) {
        super(e);
    }

    /**
     * @param message
     *            the raw message explaining the cause of the error
     */
    public WebAdminException(String message) {
        super(message);
    }

}
