/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JBIEntityTest.java 15:55:58 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.bean;

import java.util.Set;
import java.util.TreeSet;

import javax.jbi.management.LifeCycleMBean;
import javax.management.MalformedObjectNameException;
import javax.management.ObjectName;

import junit.framework.TestCase;

/**
 * Test of the JBIEntity
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class JBIEntityTest extends TestCase {

    public void testSetDescription() {
        JBIEntity entity = new JBIEntity();
        entity.setDescription("test");
        assertEquals(entity.getDescription(), "test");
    }

    public void testSetName() {
        JBIEntity entity = new JBIEntity();
        entity.setName("test");
        assertEquals(entity.getName(), "test");
    }

    public void testSetObjectName() throws MalformedObjectNameException,
        NullPointerException {
        JBIEntity entity = new JBIEntity();
        entity.setObjectName(new ObjectName("test@test:test=test"));
        assertEquals(entity.getObjectName(), new ObjectName(
            "test@test:test=test"));
    }

    public void testSetServiceUnits() {
        JBIEntity entity = new JBIEntity();
        Set<String> set = new TreeSet<String>();
        set.add("test");
        entity.setServiceUnits(set);
        assertEquals(entity.getServiceUnits().iterator().next(), "test");
    }

    public void testSetState() {
        JBIEntity entity = new JBIEntity();
        entity.setState(LifeCycleMBean.STARTED);
        assertEquals(entity.getState(), LifeCycleMBean.STARTED);
    }

    public void testSetType() {
        JBIEntity entity = new JBIEntity();
        entity.setType("sa");
        assertEquals(entity.getType(), "sa");
    }

}
