/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: MBeanConnectionMock.java 4:33:38 PM ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.webadmin.mock;

import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.Set;

import javax.jbi.management.LifeCycleMBean;
import javax.management.Attribute;
import javax.management.AttributeList;
import javax.management.AttributeNotFoundException;
import javax.management.InstanceAlreadyExistsException;
import javax.management.InstanceNotFoundException;
import javax.management.IntrospectionException;
import javax.management.InvalidAttributeValueException;
import javax.management.ListenerNotFoundException;
import javax.management.MBeanException;
import javax.management.MBeanInfo;
import javax.management.MBeanRegistrationException;
import javax.management.MBeanServerConnection;
import javax.management.MalformedObjectNameException;
import javax.management.NotCompliantMBeanException;
import javax.management.NotificationFilter;
import javax.management.NotificationListener;
import javax.management.ObjectInstance;
import javax.management.ObjectName;
import javax.management.QueryExp;
import javax.management.ReflectionException;

/**
 * Mock object
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class MockMBeanConnection implements MBeanServerConnection {

    public void addNotificationListener(ObjectName name,
        NotificationListener listener, NotificationFilter filter,
        Object handback) throws InstanceNotFoundException, IOException {
    }

    public void addNotificationListener(ObjectName name, ObjectName listener,
        NotificationFilter filter, Object handback)
        throws InstanceNotFoundException, IOException {
    }

    public ObjectInstance createMBean(String className, ObjectName name)
        throws ReflectionException, InstanceAlreadyExistsException,
        MBeanRegistrationException, MBeanException, NotCompliantMBeanException,
        IOException {
        return null;
    }

    public ObjectInstance createMBean(String className, ObjectName name,
        ObjectName loaderName) throws ReflectionException,
        InstanceAlreadyExistsException, MBeanRegistrationException,
        MBeanException, NotCompliantMBeanException, InstanceNotFoundException,
        IOException {
        return null;
    }

    public ObjectInstance createMBean(String className, ObjectName name,
        Object[] params, String[] signature) throws ReflectionException,
        InstanceAlreadyExistsException, MBeanRegistrationException,
        MBeanException, NotCompliantMBeanException, IOException {
        return null;
    }

    public ObjectInstance createMBean(String className, ObjectName name,
        ObjectName loaderName, Object[] params, String[] signature)
        throws ReflectionException, InstanceAlreadyExistsException,
        MBeanRegistrationException, MBeanException, NotCompliantMBeanException,
        InstanceNotFoundException, IOException {
        return null;
    }

    public Object getAttribute(ObjectName name, String attribute)
        throws MBeanException, AttributeNotFoundException,
        InstanceNotFoundException, ReflectionException, IOException {
        if ("EngineComponents".equals(attribute)) {
            List<ObjectName> engines = new ArrayList<ObjectName>();
            if (!wasUnloaded) {
                try {
                    engines.add(new ObjectName(
                        "org.objectweb.petals:type=engine,name=foo001"));
                } catch (MalformedObjectNameException e) {
                    e.printStackTrace();
                } catch (NullPointerException e) {
                    e.printStackTrace();
                }
            }
            return engines.toArray(new ObjectName[0]);
        } else if ("DeployedServiceAssemblies".equals(attribute)) {
            if (!wasUnDep) {
                List<String> engines = new ArrayList<String>();
                engines.add("foo0002");
                return engines.toArray(new String[0]);
            } else {
                return new String[0];
            }
        } else if ("CurrentState".equals(attribute)) {
            return states.get(name);
        }
        return null;
    }

    public AttributeList getAttributes(ObjectName name, String[] attributes)
        throws InstanceNotFoundException, ReflectionException, IOException {
        return null;
    }

    public String getDefaultDomain() throws IOException {
        return null;
    }

    public String[] getDomains() throws IOException {
        return null;
    }

    public Integer getMBeanCount() throws IOException {
        return null;
    }

    public MBeanInfo getMBeanInfo(ObjectName name)
        throws InstanceNotFoundException, IntrospectionException,
        ReflectionException, IOException {
        return null;
    }

    public ObjectInstance getObjectInstance(ObjectName name)
        throws InstanceNotFoundException, IOException {
        return null;
    }

    private boolean wasUnDep;

    private Map<ObjectName, String> states = new HashMap<ObjectName, String>();

    public Object invoke(ObjectName name, String operationName,
        Object[] params, String[] signature) throws InstanceNotFoundException,
        MBeanException, ReflectionException, IOException {
        if ("loadNewInstaller".equals(operationName)) {
            try {
                return new ObjectName(
                    "org.objectweb.petals:type=installer,name=foo001");
            } catch (MalformedObjectNameException e) {
                e.printStackTrace();
            } catch (NullPointerException e) {
                e.printStackTrace();
            }
        } else if ("getComponentsForDeployedServiceAssembly"
            .equals(operationName)) {
            return new String[0];
        } else if ("installSharedLibrary".equals(operationName)) {
            return "foo003";
        } else if ("undeploy".equals(operationName)) {
            wasUnDep = true;
            return "success";
        } else if ("unloadInstaller".equals(operationName)) {
            wasUnloaded = true;
        } else if ("shutDown".equals(operationName)) {
            states.put(name, LifeCycleMBean.SHUTDOWN);
        } else if ("start".equals(operationName)) {
            states.put(name, LifeCycleMBean.STARTED);
        } else if ("stop".equals(operationName)) {
            states.put(name, LifeCycleMBean.STOPPED);
        } else if ("getState".equals(operationName)) {
            return states.get(name);
        }
        return null;
    }

    private boolean wasUnloaded;

    public boolean isInstanceOf(ObjectName name, String className)
        throws InstanceNotFoundException, IOException {
        return false;
    }

    public boolean isRegistered(ObjectName name) throws IOException {
        return false;
    }

    public Set queryMBeans(ObjectName name, QueryExp query) throws IOException {
        return null;
    }

    public Set queryNames(ObjectName name, QueryExp query) throws IOException {
        return null;
    }

    public void removeNotificationListener(ObjectName name, ObjectName listener)
        throws InstanceNotFoundException, ListenerNotFoundException,
        IOException {
    }

    public void removeNotificationListener(ObjectName name,
        NotificationListener listener) throws InstanceNotFoundException,
        ListenerNotFoundException, IOException {
    }

    public void removeNotificationListener(ObjectName name,
        ObjectName listener, NotificationFilter filter, Object handback)
        throws InstanceNotFoundException, ListenerNotFoundException,
        IOException {
    }

    public void removeNotificationListener(ObjectName name,
        NotificationListener listener, NotificationFilter filter,
        Object handback) throws InstanceNotFoundException,
        ListenerNotFoundException, IOException {
    }

    public void setAttribute(ObjectName name, Attribute attribute)
        throws InstanceNotFoundException, AttributeNotFoundException,
        InvalidAttributeValueException, MBeanException, ReflectionException,
        IOException {
    }

    public AttributeList setAttributes(ObjectName name, AttributeList attributes)
        throws InstanceNotFoundException, ReflectionException, IOException {
        return null;
    }

    public void unregisterMBean(ObjectName name)
        throws InstanceNotFoundException, MBeanRegistrationException,
        IOException {
    }

}
