/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: JMXPetalsMoc.java 13:56:03 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.ant.util;

import javax.management.MBeanServer;

/**
 * Moc object of the deployment service
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class DeploymentServiceMoc implements DeploymentServiceMocMBean {

    private MBeanServer beanServer;

    private String state = "Shutdown";

    public DeploymentServiceMoc(MBeanServer beanServer) {
        super();
        this.beanServer = beanServer;
        // Used to suppress the warning
        this.beanServer.getClass();
    }

    public boolean canDeployToComponent(String arg0) {
        return false;
    }

    public String deploy(String arg0) throws Exception {
        String out = null;
        if (arg0.indexOf("unsuccess") > -1) {
            out = "Unsuccessfully deployed\n";
            out += "<loc-param>foo0002</loc-param>";
        } else {
            out = "Successfully\n";
            out += "<loc-param>foo0002</loc-param>";
        }
        return out;
    }

    public String[] getComponentsForDeployedServiceAssembly(String arg0)
            throws Exception {
        return new String[0];
    }

    public String[] getDeployedServiceAssemblies() throws Exception {
        return new String[] { "foo0002" };
    }

    public String[] getDeployedServiceAssembliesForComponent(String arg0)
            throws Exception {
        return null;
    }

    public String[] getDeployedServiceUnitList(String arg0) throws Exception {
        return null;
    }

    public String getServiceAssemblyDescriptor(String arg0) throws Exception {
        return null;
    }

    public String getState(String arg0) throws Exception {
        return state;
    }

    public boolean isDeployedServiceUnit(String arg0, String arg1)
            throws Exception {
        return false;
    }

    public String shutDown(String arg0) throws Exception {
        String out = "Successfully\n";
        out += "<loc-param>foo0002</loc-param>";
        state = "Shutdown";
        return out;
    }

    public String start(String arg0) throws Exception {
        String out = null;
        if (arg0.indexOf("unsuccess") > -1) {
            out = "Uncsuccessful start\n";
        } else {
            out = "Successfully\n";
            out += "<loc-param>foo0002</loc-param>";
            state = "Started";
        }
        return out;
    }

    public String stop(String arg0) throws Exception {
        String out = "Successfully\n";
        out += "<loc-param>foo0002</loc-param>";
        state = "Stopped";
        return out;
    }

    public String undeploy(String arg0) throws Exception {
        String out = "Successfully\n";
        out += "<loc-param>foo0002</loc-param>";
        return out;
    }

}
