/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: InstallerMoc.java 14:26:17 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.ant.util;

import javax.jbi.JBIException;
import javax.management.MBeanServer;
import javax.management.ObjectName;

/**
 * Moc for the installer
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class InstallerMoc implements InstallerMocMBean {

	private MBeanServer beanServer;
	
	private ObjectName objectName;

	public InstallerMoc(MBeanServer beanServer) {
		super();
		this.beanServer = beanServer;
	}

	public ObjectName getInstallerConfigurationMBean() throws JBIException {
		return null;
	}

	public String getInstallRoot() {
		return null;
	}

	public ObjectName install() throws JBIException {
		try {
			objectName = new ObjectName("org.objectweb.petals:type=binding,name=foo001");
			AdminServiceMoc.bindingsCompo.add(objectName);
			beanServer.registerMBean(new LifeCycleMoc(), objectName);
		}
		catch (Exception e) {
			e.printStackTrace();
		}
		return objectName;
	}

	public boolean isInstalled() {
		return false;
	}

	public void uninstall() throws JBIException {
		AdminServiceMoc.bindingsCompo.remove(objectName);
	}

}
