/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005-2006 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.objectweb.petals.tools.jbicommon.descriptor;

import java.net.URI;

import org.apache.commons.lang.builder.EqualsBuilder;
import org.apache.commons.lang.builder.HashCodeBuilder;
import org.apache.commons.lang.builder.ToStringBuilder;

/**
 * 
 * @author ofabre
 * 
 */
public class PetalsExtension {

    private URI extensionURI;

    private Object extensionObject;

    public PetalsExtension() { // NOPMD by gblondelle
        super();
    }

    @Override
    public boolean equals(final Object other) {
        if (!(other instanceof PetalsExtension)) {
            return false; // NOPMD by gblondelle
        }
        PetalsExtension castOther = (PetalsExtension) other;
        return new EqualsBuilder().append(extensionURI, castOther.extensionURI)
                .append(extensionObject, castOther.extensionObject).isEquals();
    }

    public Object getExtensionObject() {
        return extensionObject;
    }

    public URI getExtensionURI() {
        return extensionURI;
    }

    @Override
    public int hashCode() {
        return new HashCodeBuilder().append(extensionURI).append(
                extensionObject).toHashCode();
    }

    public void setExtensionObject(final Object extensionObject) {
        this.extensionObject = extensionObject;
    }

    public void setExtensionURI(final URI extensionURI) {
        this.extensionURI = extensionURI;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this).append("extensionURI", extensionURI)
                .append("extensionObject", extensionObject).toString();
    }

}
