/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: PackageAssemblyMojo.java 16:56:43 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.jbiplugin;

import java.io.File;

import javax.jbi.management.LifeCycleMBean;

import org.apache.maven.plugin.MojoExecutionException;

/**
 * Deploy a JBI Service Assembly Archive
 * 
 * @goal jbi-deploy-sa
 * @description Deploy a JBI Service Assembly Archive
 * 
 * @author cdeneux - Capgemini Sud
 */
public class DeployServiceAssemblyMojo extends JMXServiceAssemblyAbstractMojo {

	/**
	 * Execute the plugin
	 */
	public void execute() throws MojoExecutionException {
		try {

			if (LifeCycleMBean.UNKNOWN.equals(this.getState(project
					.getArtifactId()))) {
				String saURL = "file:///"
						+ new File(outputDirectory + File.separator + jbiName
								+ ".zip").getAbsolutePath();
				performAction(JMXServiceAssemblyAbstractMojo.DEPLOY, saURL);

			} else {
				System.out
						.println("The goal is skip because the service assembly is already deployed.");
			}

		} catch (Exception e) {
			e.printStackTrace();
			throw new MojoExecutionException(e.getLocalizedMessage(), e);
		}
	}
}
