/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 EBM Websourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: CopyFileSetTest.java 15:34:24 ddesjardins $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.tools.packageplugin;

import java.io.File;
import java.io.IOException;

import org.objectweb.petals.tools.packageplugin.utils.CopyFileSetUtil;

import junit.framework.TestCase;

/**
 * Test the copy file set class
 * 
 * @author ddesjardins - eBMWebsourcing
 */
public class CopyFileSetTest extends TestCase {

    private String baseDir;

    public void setUp() {
        baseDir = this.getClass().getResource(".").toString();
        baseDir = baseDir.substring(0, baseDir.indexOf("target"));
        baseDir = baseDir.substring(baseDir.indexOf(":") + 1);
    }

    public void testCopy1() throws IOException {
        CopyFileSetUtil.copyFileSetToDirectory(new File(baseDir
            + File.separator + "src" + File.separator + "test-data"), new File(
            baseDir + File.separator + "target"), "*.txt", true);
    }

    public void testCopy2() throws IOException {
        CopyFileSetUtil.copyFileSetToDirectory(new File(baseDir
            + File.separator + "src" + File.separator + "test-data"), new File(
            baseDir + File.separator + "target"), "**" + File.separator
            + "*.txt", true);
    }

    public void testCopy3() throws IOException {
        CopyFileSetUtil.copyFileSetToDirectory(new File(baseDir
            + File.separator + "src" + File.separator + "test-data"), new File(
            baseDir + File.separator + "target"), "**" + File.separator + "foo"
            + File.separator + "*.txt", true);
    }

    public void testCopy4() throws IOException {
        CopyFileSetUtil.copyFileSetToDirectory(new File(baseDir
            + File.separator + "src" + File.separator + "test-data"), new File(
            baseDir + File.separator + "target"), "**" + File.separator
            + "target" + File.separator + "distributions" + File.separator
            + "*.txt", true);
    }

    public void testCopyExclude() throws IOException {
        File svnDir = new File(baseDir + File.separator + "target"
            + File.separator + "test-svn");
        if (svnDir.exists()) {
            svnDir.delete();
        }
        svnDir.mkdir();
        CopyFileSetUtil.copyFileSetToDirectory(new File(baseDir
            + File.separator + "src" + File.separator + "test-data"), svnDir,
            "**" + File.separator + "*.*", ".svn", true);
    }

}
